From e5fc8c0f30a7c33e99a5fdda942d94b1504f641b Mon Sep 17 00:00:00 2001
From: Andrew Wafaa <awafaa@opensuse.org>
Date: Sun, 24 Jun 2012 09:44:06 +0100
Subject: [PATCH] Update configs for cubox/default/imx51/tegra/u8500

---
 config/armv7hl/cubox   |   20 ++++-
 config/armv7hl/default |  226 +++++++++++++++++++++++++++++------------------
 config/armv7hl/imx51   |  169 ++++++++++++++++++++++++++---------
 config/armv7hl/tegra   |  193 +++++++++++++++++++++++++++--------------
 config/armv7hl/u8500   |  160 +++++++++++++++++++++++++---------
 5 files changed, 526 insertions(+), 242 deletions(-)

diff --git a/config/armv7hl/cubox b/config/armv7hl/cubox
index 143e966..3d16db7 100644
--- a/config/armv7hl/cubox
+++ b/config/armv7hl/cubox
@@ -1,6 +1,6 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm 3.5.0-rc2 Kernel Configuration
+# Linux/arm 3.5.0-rc3 Kernel Configuration
 #
 CONFIG_ARM=y
 CONFIG_SYS_SUPPORTS_APM_EMULATION=y
@@ -18,6 +18,10 @@ CONFIG_VECTORS_BASE=0xffff0000
 CONFIG_ARM_PATCH_PHYS_VIRT=y
 CONFIG_NEED_MACH_IO_H=y
 CONFIG_GENERIC_BUG=y
+CONFIG_SUSE_KERNEL=y
+# CONFIG_ENTERPRISE_SUPPORT is not set
+CONFIG_SPLIT_PACKAGE=y
+# CONFIG_KERNEL_DESKTOP is not set
 CONFIG_DEFCONFIG_LIST="/lib/modules/$UNAME_RELEASE/.config"
 CONFIG_HAVE_IRQ_WORK=y
 CONFIG_IRQ_WORK=y
@@ -628,6 +632,7 @@ CONFIG_NF_CONNTRACK_PPTP=m
 CONFIG_NF_CONNTRACK_SANE=m
 CONFIG_NF_CONNTRACK_SIP=m
 CONFIG_NF_CONNTRACK_TFTP=m
+CONFIG_NF_CONNTRACK_SLP=m
 CONFIG_NF_CT_NETLINK=m
 CONFIG_NF_CT_NETLINK_TIMEOUT=m
 CONFIG_NETFILTER_TPROXY=m
@@ -1201,7 +1206,6 @@ CONFIG_VIRTIO_BLK=m
 # CONFIG_AD525X_DPOT is not set
 # CONFIG_ATMEL_PWM is not set
 # CONFIG_PHANTOM is not set
-# CONFIG_INTEL_MID_PTI is not set
 # CONFIG_SGI_IOC4 is not set
 CONFIG_TIFM_CORE=m
 # CONFIG_TIFM_7XX1 is not set
@@ -1412,6 +1416,8 @@ CONFIG_DM_MULTIPATH=m
 CONFIG_DM_MULTIPATH_QL=m
 CONFIG_DM_MULTIPATH_ST=m
 CONFIG_DM_DELAY=m
+CONFIG_DM_REGION_HASH_LOG=m
+CONFIG_DM_RAID45=m
 CONFIG_DM_UEVENT=y
 CONFIG_DM_FLAKEY=m
 CONFIG_DM_VERITY=m
@@ -1699,6 +1705,7 @@ CONFIG_MAX_RAW_DEVS=256
 CONFIG_TCG_TPM=y
 CONFIG_TCG_ATMEL=m
 CONFIG_DEVPORT=y
+# CONFIG_CRASHER is not set
 CONFIG_I2C=y
 CONFIG_I2C_BOARDINFO=y
 CONFIG_I2C_COMPAT=y
@@ -1926,7 +1933,6 @@ CONFIG_HWMON=y
 # CONFIG_SENSORS_ADT7475 is not set
 # CONFIG_SENSORS_ASC7621 is not set
 # CONFIG_SENSORS_ATXP1 is not set
-CONFIG_SENSORS_DOVE=y
 # CONFIG_SENSORS_DS620 is not set
 # CONFIG_SENSORS_DS1621 is not set
 # CONFIG_SENSORS_I5K_AMB is not set
@@ -2218,6 +2224,10 @@ CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=y
 CONFIG_FONT_8x8=y
 CONFIG_FONT_8x16=y
 # CONFIG_LOGO is not set
+
+#
+# Bootsplash configuration
+#
 # CONFIG_SOUND is not set
 CONFIG_HID_SUPPORT=y
 CONFIG_HID=m
@@ -2711,6 +2721,7 @@ CONFIG_EXT4_FS_XATTR=y
 CONFIG_EXT4_FS_POSIX_ACL=y
 CONFIG_EXT4_FS_SECURITY=y
 # CONFIG_EXT4_DEBUG is not set
+CONFIG_EXT4_FS_RICHACL=y
 CONFIG_JBD=y
 # CONFIG_JBD_DEBUG is not set
 CONFIG_JBD2=y
@@ -2718,6 +2729,7 @@ CONFIG_JBD2=y
 CONFIG_FS_MBCACHE=y
 # CONFIG_REISERFS_FS is not set
 # CONFIG_JFS_FS is not set
+CONFIG_FS_RICHACL=y
 # CONFIG_XFS_FS is not set
 # CONFIG_GFS2_FS is not set
 CONFIG_BTRFS_FS=y
@@ -2898,6 +2910,8 @@ CONFIG_LOCKUP_DETECTOR=y
 CONFIG_BOOTPARAM_HARDLOCKUP_PANIC_VALUE=0
 # CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC is not set
 CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC_VALUE=0
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=0
 CONFIG_DETECT_HUNG_TASK=y
 CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=120
 # CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
diff --git a/config/armv7hl/default b/config/armv7hl/default
index 602e5d4..db40ea2 100644
--- a/config/armv7hl/default
+++ b/config/armv7hl/default
@@ -1,23 +1,17 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm 3.4.0 Kernel Configuration
+# Linux/arm 3.5.0-rc3 Kernel Configuration
 #
 CONFIG_ARM=y
 CONFIG_MIGHT_HAVE_PCI=y
 CONFIG_SYS_SUPPORTS_APM_EMULATION=y
 CONFIG_GENERIC_GPIO=y
-# CONFIG_ARCH_USES_GETTIMEOFFSET is not set
-CONFIG_GENERIC_CLOCKEVENTS=y
-CONFIG_KTIME_SCALAR=y
 CONFIG_HAVE_PROC_CPU=y
 CONFIG_STACKTRACE_SUPPORT=y
 CONFIG_HAVE_LATENCYTOP_SUPPORT=y
 CONFIG_LOCKDEP_SUPPORT=y
 CONFIG_TRACE_IRQFLAGS_SUPPORT=y
-CONFIG_HARDIRQS_SW_RESEND=y
-CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_RWSEM_GENERIC_SPINLOCK=y
-CONFIG_ARCH_HAS_CPU_IDLE_WAIT=y
 CONFIG_GENERIC_HWEIGHT=y
 CONFIG_GENERIC_CALIBRATE_DELAY=y
 CONFIG_NEED_DMA_MAP_STATE=y
@@ -73,10 +67,22 @@ CONFIG_HAVE_GENERIC_HARDIRQS=y
 # IRQ subsystem
 #
 CONFIG_GENERIC_HARDIRQS=y
+CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_GENERIC_IRQ_SHOW=y
+CONFIG_HARDIRQS_SW_RESEND=y
 CONFIG_GENERIC_IRQ_CHIP=y
 CONFIG_IRQ_DOMAIN=y
 # CONFIG_IRQ_DOMAIN_DEBUG is not set
+CONFIG_KTIME_SCALAR=y
+CONFIG_GENERIC_CLOCKEVENTS=y
+CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=y
+CONFIG_NO_HZ=y
+CONFIG_HIGH_RES_TIMERS=y
 
 #
 # RCU Subsystem
@@ -110,7 +116,6 @@ CONFIG_BLK_CGROUP=y
 CONFIG_NAMESPACES=y
 CONFIG_UTS_NS=y
 CONFIG_IPC_NS=y
-CONFIG_USER_NS=y
 CONFIG_PID_NS=y
 CONFIG_NET_NS=y
 # CONFIG_SCHED_AUTOGROUP is not set
@@ -152,7 +157,6 @@ CONFIG_PERF_USE_VMALLOC=y
 # Kernel Performance Events And Counters
 #
 CONFIG_PERF_EVENTS=y
-CONFIG_PERF_COUNTERS=y
 # CONFIG_DEBUG_PERF_USE_VMALLOC is not set
 CONFIG_VM_EVENT_COUNTERS=y
 CONFIG_PCI_QUIRKS=y
@@ -168,6 +172,9 @@ CONFIG_KPROBES=y
 CONFIG_KRETPROBES=y
 CONFIG_HAVE_KPROBES=y
 CONFIG_HAVE_KRETPROBES=y
+CONFIG_HAVE_ARCH_TRACEHOOK=y
+CONFIG_HAVE_DMA_ATTRS=y
+CONFIG_GENERIC_SMP_IDLE_THREAD=y
 CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=y
 CONFIG_HAVE_CLK=y
 CONFIG_HAVE_DMA_API_DEBUG=y
@@ -283,8 +290,6 @@ CONFIG_ARCH_VERSATILE=y
 # CONFIG_ARCH_IOP13XX is not set
 # CONFIG_ARCH_IOP32X is not set
 # CONFIG_ARCH_IOP33X is not set
-# CONFIG_ARCH_IXP23XX is not set
-# CONFIG_ARCH_IXP2000 is not set
 # CONFIG_ARCH_IXP4XX is not set
 # CONFIG_ARCH_DOVE is not set
 # CONFIG_ARCH_KIRKWOOD is not set
@@ -321,10 +326,6 @@ CONFIG_GPIO_PCA953X=m
 CONFIG_KEYBOARD_GPIO_POLLED=m
 
 #
-# System MMU
-#
-
-#
 # Versatile platform type
 #
 CONFIG_ARCH_VERSATILE_PB=y
@@ -332,6 +333,7 @@ CONFIG_MACH_VERSATILE_AB=y
 CONFIG_MACH_VERSATILE_DT=y
 CONFIG_PLAT_VERSATILE_CLCD=y
 CONFIG_PLAT_VERSATILE_FPGA_IRQ=y
+CONFIG_PLAT_VERSATILE_FPGA_IRQ_NR=4
 CONFIG_PLAT_VERSATILE_LEDS=y
 CONFIG_PLAT_VERSATILE_SCHED_CLOCK=y
 CONFIG_PLAT_VERSATILE=y
@@ -386,10 +388,6 @@ CONFIG_PCI_STUB=y
 #
 # Kernel Features
 #
-CONFIG_TICK_ONESHOT=y
-CONFIG_NO_HZ=y
-CONFIG_HIGH_RES_TIMERS=y
-CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
 CONFIG_VMSPLIT_3G=y
 # CONFIG_VMSPLIT_2G is not set
 # CONFIG_VMSPLIT_1G is not set
@@ -421,6 +419,7 @@ CONFIG_BOUNCE=y
 CONFIG_VIRT_TO_BUS=y
 CONFIG_KSM=y
 CONFIG_DEFAULT_MMAP_MIN_ADDR=65536
+CONFIG_CROSS_MEMORY_ATTACH=y
 CONFIG_NEED_PER_CPU_KM=y
 CONFIG_CLEANCACHE=y
 # CONFIG_FRONTSWAP is not set
@@ -483,6 +482,8 @@ CONFIG_BINFMT_MISC=m
 CONFIG_SUSPEND=y
 CONFIG_SUSPEND_FREEZER=y
 CONFIG_PM_SLEEP=y
+# CONFIG_PM_AUTOSLEEP is not set
+# CONFIG_PM_WAKELOCKS is not set
 CONFIG_PM_RUNTIME=y
 CONFIG_PM=y
 CONFIG_PM_DEBUG=y
@@ -503,6 +504,7 @@ CONFIG_PACKET=m
 CONFIG_UNIX=y
 CONFIG_UNIX_DIAG=m
 CONFIG_XFRM=y
+CONFIG_XFRM_ALGO=m
 CONFIG_XFRM_USER=m
 CONFIG_XFRM_SUB_POLICY=y
 CONFIG_XFRM_MIGRATE=y
@@ -645,6 +647,7 @@ CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=m
 CONFIG_NETFILTER_XT_TARGET_CT=m
 CONFIG_NETFILTER_XT_TARGET_DSCP=m
 CONFIG_NETFILTER_XT_TARGET_HL=m
+CONFIG_NETFILTER_XT_TARGET_HMARK=m
 CONFIG_NETFILTER_XT_TARGET_IDLETIMER=m
 CONFIG_NETFILTER_XT_TARGET_LED=m
 CONFIG_NETFILTER_XT_TARGET_LOG=m
@@ -805,7 +808,6 @@ CONFIG_IP_NF_ARP_MANGLE=m
 #
 CONFIG_NF_DEFRAG_IPV6=m
 CONFIG_NF_CONNTRACK_IPV6=m
-CONFIG_IP6_NF_QUEUE=m
 CONFIG_IP6_NF_IPTABLES=m
 CONFIG_IP6_NF_MATCH_AH=m
 CONFIG_IP6_NF_MATCH_EUI64=m
@@ -901,7 +903,7 @@ CONFIG_VLAN_8021Q=m
 CONFIG_VLAN_8021Q_GVRP=y
 CONFIG_DECNET=m
 # CONFIG_DECNET_ROUTER is not set
-CONFIG_LLC=y
+CONFIG_LLC=m
 CONFIG_LLC2=m
 CONFIG_IPX=m
 CONFIG_IPX_INTERN=y
@@ -912,11 +914,11 @@ CONFIG_IPDDP_ENCAP=y
 CONFIG_IPDDP_DECAP=y
 CONFIG_X25=m
 CONFIG_LAPB=m
-# CONFIG_ECONET is not set
 CONFIG_WAN_ROUTER=m
 CONFIG_PHONET=m
 CONFIG_IEEE802154=m
 CONFIG_IEEE802154_6LOWPAN=m
+CONFIG_MAC802154=m
 CONFIG_NET_SCHED=y
 
 #
@@ -940,6 +942,8 @@ CONFIG_NET_SCH_DRR=m
 CONFIG_NET_SCH_MQPRIO=m
 CONFIG_NET_SCH_CHOKE=m
 CONFIG_NET_SCH_QFQ=m
+CONFIG_NET_SCH_CODEL=m
+CONFIG_NET_SCH_FQ_CODEL=m
 CONFIG_NET_SCH_INGRESS=m
 CONFIG_NET_SCH_PLUG=m
 
@@ -981,11 +985,11 @@ CONFIG_NET_SCH_FIFO=y
 CONFIG_DCB=y
 CONFIG_DNS_RESOLVER=y
 CONFIG_BATMAN_ADV=m
+# CONFIG_BATMAN_ADV_BLA is not set
 CONFIG_BATMAN_ADV_DEBUG=y
 CONFIG_OPENVSWITCH=m
 CONFIG_NETPRIO_CGROUP=m
 CONFIG_BQL=y
-CONFIG_HAVE_BPF_JIT=y
 # CONFIG_BPF_JIT is not set
 
 #
@@ -1183,6 +1187,8 @@ CONFIG_CEPH_LIB_PRETTYDEBUG=y
 # CONFIG_CEPH_LIB_USE_DNS_RESOLVER is not set
 CONFIG_NFC=m
 CONFIG_NFC_NCI=m
+CONFIG_NFC_HCI=m
+# CONFIG_NFC_SHDLC is not set
 CONFIG_NFC_LLCP=y
 
 #
@@ -1191,6 +1197,7 @@ CONFIG_NFC_LLCP=y
 CONFIG_PN544_NFC=m
 CONFIG_NFC_PN533=m
 CONFIG_NFC_WILINK=m
+CONFIG_HAVE_BPF_JIT=y
 
 #
 # Device Drivers
@@ -1364,7 +1371,6 @@ CONFIG_MTD_UBI=m
 CONFIG_MTD_UBI_WL_THRESHOLD=4096
 CONFIG_MTD_UBI_BEB_RESERVE=1
 CONFIG_MTD_UBI_GLUEBI=m
-# CONFIG_MTD_UBI_DEBUG is not set
 CONFIG_DTC=y
 CONFIG_OF=y
 
@@ -1378,10 +1384,8 @@ CONFIG_OF_EARLY_FLATTREE=y
 CONFIG_OF_ADDRESS=y
 CONFIG_OF_IRQ=y
 CONFIG_OF_DEVICE=y
-CONFIG_OF_GPIO=y
 CONFIG_OF_I2C=y
 CONFIG_OF_NET=y
-CONFIG_OF_SPI=y
 CONFIG_OF_MDIO=y
 CONFIG_OF_PCI=y
 CONFIG_OF_PCI_IRQ=y
@@ -1482,7 +1486,8 @@ CONFIG_HMC6352=m
 CONFIG_DS1682=m
 CONFIG_TI_DAC7512=m
 CONFIG_ARM_CHARLCD=y
-CONFIG_BMP085=m
+# CONFIG_BMP085_I2C is not set
+# CONFIG_BMP085_SPI is not set
 CONFIG_PCH_PHUB=m
 CONFIG_USB_SWITCH_FSA9480=m
 CONFIG_C2PORT=m
@@ -1627,6 +1632,7 @@ CONFIG_SCSI_IPR_TRACE=y
 CONFIG_SCSI_IPR_DUMP=y
 CONFIG_SCSI_QLOGIC_1280=m
 CONFIG_SCSI_QLA_FC=m
+# CONFIG_TCM_QLA2XXX is not set
 CONFIG_SCSI_QLA_ISCSI=m
 CONFIG_SCSI_LPFC=m
 # CONFIG_SCSI_LPFC_DEBUG_FS is not set
@@ -1781,6 +1787,7 @@ CONFIG_TCM_PSCSI=m
 CONFIG_LOOPBACK_TARGET=m
 CONFIG_TCM_FC=m
 CONFIG_ISCSI_TARGET=m
+# CONFIG_SBP_TARGET is not set
 CONFIG_FUSION=y
 CONFIG_FUSION_SPI=m
 CONFIG_FUSION_FC=m
@@ -1816,10 +1823,12 @@ CONFIG_NET_FC=y
 CONFIG_MII=y
 CONFIG_IEEE802154_DRIVERS=m
 CONFIG_IEEE802154_FAKEHARD=m
+# CONFIG_IEEE802154_FAKELB is not set
 CONFIG_IFB=m
 CONFIG_NET_TEAM=m
 CONFIG_NET_TEAM_MODE_ROUNDROBIN=m
 CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=m
+# CONFIG_NET_TEAM_MODE_LOADBALANCE is not set
 CONFIG_MACVLAN=m
 CONFIG_MACVTAP=m
 CONFIG_NETCONSOLE=m
@@ -1963,10 +1972,13 @@ CONFIG_E100=m
 CONFIG_E1000=m
 CONFIG_E1000E=m
 CONFIG_IGB=m
+CONFIG_IGB_PTP=y
 CONFIG_IGBVF=m
 CONFIG_IXGB=m
 CONFIG_IXGBE=m
+CONFIG_IXGBE_HWMON=y
 CONFIG_IXGBE_DCB=y
+# CONFIG_IXGBE_PTP is not set
 CONFIG_NET_VENDOR_I825XX=y
 CONFIG_IP1000=m
 CONFIG_JME=m
@@ -2051,6 +2063,12 @@ CONFIG_NET_VENDOR_VIA=y
 CONFIG_VIA_RHINE=m
 CONFIG_VIA_RHINE_MMIO=y
 CONFIG_VIA_VELOCITY=m
+CONFIG_NET_VENDOR_WIZNET=y
+CONFIG_WIZNET_W5100=m
+CONFIG_WIZNET_W5300=m
+# CONFIG_WIZNET_BUS_DIRECT is not set
+# CONFIG_WIZNET_BUS_INDIRECT is not set
+CONFIG_WIZNET_BUS_ANY=y
 CONFIG_FDDI=m
 CONFIG_DEFXX=m
 CONFIG_DEFXX_MMIO=y
@@ -2081,6 +2099,8 @@ CONFIG_MICREL_PHY=m
 CONFIG_FIXED_PHY=y
 CONFIG_MDIO_BITBANG=m
 CONFIG_MDIO_GPIO=m
+CONFIG_MDIO_BUS_MUX=m
+CONFIG_MDIO_BUS_MUX_GPIO=m
 CONFIG_MICREL_KS8995MA=m
 CONFIG_PLIP=m
 CONFIG_PPP=m
@@ -2100,12 +2120,6 @@ CONFIG_SLHC=m
 CONFIG_SLIP_COMPRESSED=y
 CONFIG_SLIP_SMART=y
 CONFIG_SLIP_MODE_SLIP6=y
-CONFIG_TR=y
-CONFIG_WANT_LLC=y
-# CONFIG_IBMOL is not set
-# CONFIG_IBMLS is not set
-# CONFIG_3C359 is not set
-# CONFIG_TMS380TR is not set
 
 #
 # USB Network Adapters
@@ -2267,19 +2281,13 @@ CONFIG_RTL8192CU=m
 CONFIG_RTLWIFI=m
 CONFIG_RTLWIFI_DEBUG=y
 CONFIG_RTL8192C_COMMON=m
-CONFIG_WL1251=m
-CONFIG_WL1251_SPI=m
-CONFIG_WL1251_SDIO=m
-CONFIG_WL12XX_MENU=m
-CONFIG_WL12XX=m
-CONFIG_WL12XX_SPI=m
-CONFIG_WL12XX_SDIO=m
-CONFIG_WL12XX_PLATFORM_DATA=y
+# CONFIG_WL_TI is not set
 CONFIG_ZD1211RW=m
 # CONFIG_ZD1211RW_DEBUG is not set
 CONFIG_MWIFIEX=m
 CONFIG_MWIFIEX_SDIO=m
 # CONFIG_MWIFIEX_PCIE is not set
+# CONFIG_MWIFIEX_USB is not set
 
 #
 # WiMAX Wireless Broadband devices
@@ -2445,6 +2453,7 @@ CONFIG_INPUT=y
 CONFIG_INPUT_FF_MEMLESS=y
 CONFIG_INPUT_POLLDEV=m
 CONFIG_INPUT_SPARSEKMAP=m
+CONFIG_INPUT_MATRIXKMAP=m
 
 #
 # Userland interfaces
@@ -2473,6 +2482,7 @@ CONFIG_KEYBOARD_TCA6416=m
 CONFIG_KEYBOARD_TCA8418=m
 CONFIG_KEYBOARD_MATRIX=m
 CONFIG_KEYBOARD_LM8323=m
+# CONFIG_KEYBOARD_LM8333 is not set
 CONFIG_KEYBOARD_MAX7359=m
 CONFIG_KEYBOARD_MCS=m
 CONFIG_KEYBOARD_MPR121=m
@@ -2562,6 +2572,7 @@ CONFIG_TOUCHSCREEN_GUNZE=m
 CONFIG_TOUCHSCREEN_ELO=m
 CONFIG_TOUCHSCREEN_ELOUSB=m
 CONFIG_TOUCHSCREEN_WACOM_W8001=m
+# CONFIG_TOUCHSCREEN_WACOM_I2C is not set
 CONFIG_TOUCHSCREEN_MAX11801=m
 CONFIG_TOUCHSCREEN_MCS5000=m
 CONFIG_TOUCHSCREEN_MTOUCH=m
@@ -2578,7 +2589,6 @@ CONFIG_TOUCHSCREEN_WM9705=y
 CONFIG_TOUCHSCREEN_WM9712=y
 CONFIG_TOUCHSCREEN_WM9713=y
 CONFIG_TOUCHSCREEN_USB_COMPOSITE=m
-CONFIG_TOUCHSCREEN_MC13783=m
 CONFIG_TOUCHSCREEN_USB_EGALAX=y
 CONFIG_TOUCHSCREEN_USB_PANJIT=y
 CONFIG_TOUCHSCREEN_USB_3M=y
@@ -2610,7 +2620,6 @@ CONFIG_INPUT_AD714X=m
 CONFIG_INPUT_AD714X_I2C=m
 CONFIG_INPUT_AD714X_SPI=m
 # CONFIG_INPUT_BMA150 is not set
-# CONFIG_INPUT_MC13783_PWRBUTTON is not set
 CONFIG_INPUT_MMA8450=m
 CONFIG_INPUT_MPU3050=m
 CONFIG_INPUT_GP2A=m
@@ -2690,6 +2699,7 @@ CONFIG_SERIAL_8250_NR_UARTS=32
 CONFIG_SERIAL_8250_RUNTIME_UARTS=32
 # CONFIG_SERIAL_8250_EXTENDED is not set
 # CONFIG_SERIAL_8250_DW is not set
+# CONFIG_SERIAL_8250_EM is not set
 
 #
 # Non-8250 serial port support
@@ -2728,6 +2738,7 @@ CONFIG_IPMI_WATCHDOG=m
 CONFIG_IPMI_POWEROFF=m
 CONFIG_HW_RANDOM=y
 CONFIG_HW_RANDOM_TIMERIOMEM=m
+# CONFIG_HW_RANDOM_ATMEL is not set
 CONFIG_HW_RANDOM_VIRTIO=m
 CONFIG_NVRAM=y
 CONFIG_R3964=m
@@ -2737,7 +2748,6 @@ CONFIG_MAX_RAW_DEVS=4096
 CONFIG_TCG_TPM=m
 CONFIG_TCG_ATMEL=m
 CONFIG_DEVPORT=y
-CONFIG_RAMOOPS=m
 CONFIG_CRASHER=m
 CONFIG_I2C=y
 CONFIG_I2C_BOARDINFO=y
@@ -2864,8 +2874,10 @@ CONFIG_PTP_1588_CLOCK=m
 # Enable PHYLIB and NETWORK_PHY_TIMESTAMPING to see the additional clocks.
 #
 # CONFIG_PTP_1588_CLOCK_PCH is not set
+CONFIG_ARCH_HAVE_CUSTOM_GPIO_H=y
 CONFIG_ARCH_WANT_OPTIONAL_GPIOLIB=y
 CONFIG_GPIOLIB=y
+CONFIG_OF_GPIO=y
 # CONFIG_DEBUG_GPIO is not set
 CONFIG_GPIO_SYSFS=y
 CONFIG_GPIO_GENERIC=m
@@ -2875,6 +2887,7 @@ CONFIG_GPIO_MAX730X=m
 # Memory mapped GPIO drivers:
 #
 CONFIG_GPIO_GENERIC_PLATFORM=m
+CONFIG_GPIO_EM=m
 CONFIG_GPIO_PL061=y
 CONFIG_GPIO_VX855=m
 
@@ -3060,6 +3073,7 @@ CONFIG_SENSORS_ADS1015=m
 CONFIG_SENSORS_ADS7828=m
 CONFIG_SENSORS_ADS7871=m
 CONFIG_SENSORS_AMC6821=m
+# CONFIG_SENSORS_INA2XX is not set
 CONFIG_SENSORS_THMC50=m
 CONFIG_SENSORS_TMP102=m
 CONFIG_SENSORS_TMP401=m
@@ -3078,7 +3092,6 @@ CONFIG_SENSORS_W83L786NG=m
 CONFIG_SENSORS_W83627HF=m
 CONFIG_SENSORS_W83627EHF=m
 CONFIG_SENSORS_WM831X=m
-CONFIG_SENSORS_MC13783_ADC=m
 CONFIG_THERMAL=m
 CONFIG_THERMAL_HWMON=y
 CONFIG_WATCHDOG=y
@@ -3094,6 +3107,7 @@ CONFIG_ARM_SP805_WATCHDOG=m
 CONFIG_DW_WATCHDOG=m
 CONFIG_MAX63XX_WATCHDOG=m
 CONFIG_ALIM7101_WDT=m
+# CONFIG_I6300ESB_WDT is not set
 
 #
 # PCI-based Watchdog Cards
@@ -3142,6 +3156,7 @@ CONFIG_HTC_EGPIO=y
 CONFIG_HTC_PASIC3=m
 # CONFIG_HTC_I2CPLD is not set
 CONFIG_UCB1400_CORE=m
+# CONFIG_MFD_LM3533 is not set
 CONFIG_TPS6105X=m
 CONFIG_TPS65010=m
 CONFIG_TPS6507X=m
@@ -3168,23 +3183,25 @@ CONFIG_MFD_TC6393XB=y
 # CONFIG_MFD_DA9052_SPI is not set
 # CONFIG_MFD_DA9052_I2C is not set
 CONFIG_PMIC_ADP5520=y
+# CONFIG_MFD_MAX77693 is not set
 # CONFIG_MFD_MAX8925 is not set
 # CONFIG_MFD_MAX8997 is not set
 # CONFIG_MFD_MAX8998 is not set
 # CONFIG_MFD_S5M_CORE is not set
-CONFIG_MFD_WM8400=m
+# CONFIG_MFD_WM8400 is not set
 CONFIG_MFD_WM831X=y
 # CONFIG_MFD_WM831X_I2C is not set
 CONFIG_MFD_WM831X_SPI=y
 # CONFIG_MFD_WM8350_I2C is not set
 # CONFIG_MFD_WM8994 is not set
 # CONFIG_MFD_PCF50633 is not set
-CONFIG_MFD_MC13783=m
-CONFIG_MFD_MC13XXX=m
+# CONFIG_MFD_MC13XXX_SPI is not set
+# CONFIG_MFD_MC13XXX_I2C is not set
 # CONFIG_ABX500_CORE is not set
 # CONFIG_EZX_PCAP is not set
 CONFIG_MFD_TIMBERDALE=m
 CONFIG_LPC_SCH=m
+# CONFIG_LPC_ICH is not set
 CONFIG_MFD_RDC321X=m
 # CONFIG_MFD_JANZ_CMODIO is not set
 CONFIG_MFD_VX855=m
@@ -3192,6 +3209,7 @@ CONFIG_MFD_WL1273_CORE=m
 # CONFIG_MFD_TPS65090 is not set
 # CONFIG_MFD_AAT2870_CORE is not set
 # CONFIG_MFD_RC5T583 is not set
+# CONFIG_MFD_PALMAS is not set
 CONFIG_REGULATOR=y
 # CONFIG_REGULATOR_DEBUG is not set
 CONFIG_REGULATOR_DUMMY=y
@@ -3200,9 +3218,6 @@ CONFIG_REGULATOR_VIRTUAL_CONSUMER=m
 CONFIG_REGULATOR_USERSPACE_CONSUMER=m
 # CONFIG_REGULATOR_GPIO is not set
 CONFIG_REGULATOR_AD5398=m
-CONFIG_REGULATOR_MC13XXX_CORE=m
-CONFIG_REGULATOR_MC13783=m
-CONFIG_REGULATOR_MC13892=m
 CONFIG_REGULATOR_ISL6271A=m
 CONFIG_REGULATOR_MAX1586=m
 CONFIG_REGULATOR_MAX8649=m
@@ -3217,7 +3232,6 @@ CONFIG_REGULATOR_TPS6507X=m
 CONFIG_REGULATOR_TPS65217=m
 CONFIG_REGULATOR_TPS6524X=m
 CONFIG_REGULATOR_WM831X=m
-CONFIG_REGULATOR_WM8400=m
 CONFIG_MEDIA_SUPPORT=m
 
 #
@@ -3373,6 +3387,7 @@ CONFIG_VIDEO_UPD64083=m
 CONFIG_VIDEO_M52790=m
 CONFIG_VIDEO_VIVI=m
 CONFIG_V4L_USB_DRIVERS=y
+CONFIG_VIDEO_AU0828=m
 CONFIG_USB_VIDEO_CLASS=m
 CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=y
 CONFIG_USB_GSPCA=m
@@ -3430,7 +3445,7 @@ CONFIG_VIDEO_HDPVR=m
 CONFIG_VIDEO_EM28XX=m
 CONFIG_VIDEO_EM28XX_ALSA=m
 CONFIG_VIDEO_EM28XX_DVB=m
-CONFIG_VIDEO_EM28XX_RC=y
+CONFIG_VIDEO_EM28XX_RC=m
 CONFIG_VIDEO_TLG2300=m
 CONFIG_VIDEO_CX231XX=m
 CONFIG_VIDEO_CX231XX_RC=y
@@ -3440,7 +3455,6 @@ CONFIG_VIDEO_TM6000=m
 CONFIG_VIDEO_TM6000_ALSA=m
 CONFIG_VIDEO_TM6000_DVB=m
 CONFIG_VIDEO_USBVISION=m
-CONFIG_USB_ET61X251=m
 CONFIG_USB_SN9C102=m
 CONFIG_USB_PWC=m
 # CONFIG_USB_PWC_DEBUG is not set
@@ -3450,7 +3464,6 @@ CONFIG_USB_ZR364XX=m
 CONFIG_USB_STKWEBCAM=m
 CONFIG_USB_S2255=m
 CONFIG_V4L_PCI_DRIVERS=y
-CONFIG_VIDEO_AU0828=m
 CONFIG_VIDEO_BT848=m
 CONFIG_VIDEO_BT848_DVB=y
 CONFIG_VIDEO_CX18=m
@@ -3587,6 +3600,7 @@ CONFIG_DVB_USB_TECHNISAT_USB2=m
 # CONFIG_DVB_USB_IT913X is not set
 # CONFIG_DVB_USB_MXL111SF is not set
 CONFIG_DVB_USB_RTL28XXU=m
+# CONFIG_DVB_USB_AF9035 is not set
 CONFIG_DVB_TTUSB_BUDGET=m
 CONFIG_DVB_TTUSB_DEC=m
 CONFIG_SMS_SIANO_MDTV=m
@@ -3738,6 +3752,8 @@ CONFIG_DVB_LGDT330X=m
 CONFIG_DVB_LGDT3305=m
 CONFIG_DVB_S5H1409=m
 CONFIG_DVB_AU8522=m
+CONFIG_DVB_AU8522_DTV=m
+CONFIG_DVB_AU8522_V4L=m
 CONFIG_DVB_S5H1411=m
 
 #
@@ -3782,6 +3798,7 @@ CONFIG_DRM=m
 CONFIG_DRM_USB=m
 CONFIG_DRM_KMS_HELPER=m
 CONFIG_DRM_LOAD_EDID_FIRMWARE=y
+CONFIG_DRM_TTM=m
 CONFIG_DRM_TDFX=m
 CONFIG_DRM_R128=m
 # CONFIG_DRM_RADEON is not set
@@ -3797,6 +3814,9 @@ CONFIG_DRM_VIA=m
 CONFIG_DRM_SAVAGE=m
 # CONFIG_DRM_VMWGFX is not set
 CONFIG_DRM_UDL=m
+# CONFIG_DRM_AST is not set
+# CONFIG_DRM_MGAG200 is not set
+CONFIG_DRM_CIRRUS_QEMU=m
 CONFIG_STUB_POULSBO=m
 CONFIG_VGASTATE=m
 CONFIG_VIDEO_OUTPUT_CONTROL=y
@@ -3890,6 +3910,7 @@ CONFIG_FB_MB862XX=m
 CONFIG_FB_MB862XX_PCI_GDC=y
 CONFIG_FB_MB862XX_I2C=y
 CONFIG_FB_BROADSHEET=m
+# CONFIG_FB_AUO_K190X is not set
 # CONFIG_EXYNOS_VIDEO is not set
 CONFIG_BACKLIGHT_LCD_SUPPORT=y
 CONFIG_LCD_CLASS_DEVICE=m
@@ -4110,10 +4131,12 @@ CONFIG_USB_HIDDEV=y
 #
 # Special HID drivers
 #
+CONFIG_HID_GENERIC=y
 CONFIG_HID_A4TECH=m
 CONFIG_HID_ACRUX=m
 # CONFIG_HID_ACRUX_FF is not set
 CONFIG_HID_APPLE=m
+# CONFIG_HID_AUREAL is not set
 CONFIG_HID_BELKIN=m
 CONFIG_HID_CHERRY=m
 CONFIG_HID_CHICONY=m
@@ -4170,7 +4193,6 @@ CONFIG_HID_TOPSEED=m
 CONFIG_HID_THRUSTMASTER=m
 CONFIG_THRUSTMASTER_FF=y
 CONFIG_HID_WACOM=m
-CONFIG_HID_WACOM_POWER_SUPPLY=y
 CONFIG_HID_WIIMOTE=m
 CONFIG_HID_WIIMOTE_EXT=y
 CONFIG_HID_ZEROPLUS=m
@@ -4189,8 +4211,6 @@ CONFIG_USB_ANNOUNCE_NEW_DEVICES=y
 #
 # Miscellaneous USB options
 #
-CONFIG_USB_DEVICEFS=y
-# CONFIG_USB_DEVICE_CLASS is not set
 # CONFIG_USB_DYNAMIC_MINORS is not set
 CONFIG_USB_SUSPEND=y
 # CONFIG_USB_OTG is not set
@@ -4215,8 +4235,8 @@ CONFIG_USB_ISP1760_HCD=m
 CONFIG_USB_ISP1362_HCD=m
 CONFIG_USB_OHCI_HCD=m
 CONFIG_USB_OHCI_HCD_SSB=y
-# CONFIG_USB_OHCI_HCD_PLATFORM is not set
-# CONFIG_USB_EHCI_HCD_PLATFORM is not set
+CONFIG_USB_OHCI_HCD_PLATFORM=y
+CONFIG_USB_EHCI_HCD_PLATFORM=y
 # CONFIG_USB_OHCI_BIG_ENDIAN_DESC is not set
 # CONFIG_USB_OHCI_BIG_ENDIAN_MMIO is not set
 CONFIG_USB_OHCI_LITTLE_ENDIAN=y
@@ -4227,7 +4247,10 @@ CONFIG_USB_SL811_HCD=m
 CONFIG_USB_R8A66597_HCD=m
 CONFIG_USB_WHCI_HCD=m
 CONFIG_USB_HWA_HCD=m
+# CONFIG_USB_HCD_BCMA is not set
+CONFIG_USB_HCD_SSB=m
 # CONFIG_USB_MUSB_HDRC is not set
+# CONFIG_USB_CHIPIDEA is not set
 # CONFIG_USB_RENESAS_USBHS is not set
 
 #
@@ -4329,6 +4352,7 @@ CONFIG_USB_SERIAL_OPTICON=m
 CONFIG_USB_SERIAL_VIVOPAY_SERIAL=m
 CONFIG_USB_SERIAL_ZIO=m
 CONFIG_USB_SERIAL_SSU100=m
+# CONFIG_USB_SERIAL_QT2 is not set
 CONFIG_USB_SERIAL_DEBUG=m
 
 #
@@ -4355,6 +4379,11 @@ CONFIG_USB_IOWARRIOR=m
 # CONFIG_USB_TEST is not set
 CONFIG_USB_ISIGHTFW=m
 CONFIG_USB_YUREX=m
+
+#
+# USB Physical Layer drivers
+#
+# CONFIG_USB_ISP1301 is not set
 CONFIG_USB_ATM=m
 CONFIG_USB_SPEEDTOUCH=m
 CONFIG_USB_CXACRU=m
@@ -4366,16 +4395,18 @@ CONFIG_USB_GADGET=m
 # CONFIG_USB_GADGET_DEBUG_FS is not set
 CONFIG_USB_GADGET_VBUS_DRAW=2
 CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=2
+
+#
+# USB Peripheral Controller
+#
 # CONFIG_USB_FUSB300 is not set
 # CONFIG_USB_R8A66597 is not set
 # CONFIG_USB_MV_UDC is not set
 # CONFIG_USB_M66592 is not set
 # CONFIG_USB_AMD5536UDC is not set
-# CONFIG_USB_CI13XXX_PCI is not set
 # CONFIG_USB_NET2272 is not set
 # CONFIG_USB_NET2280 is not set
 # CONFIG_USB_GOKU is not set
-# CONFIG_USB_LANGWELL is not set
 # CONFIG_USB_EG20T is not set
 # CONFIG_USB_DUMMY_HCD is not set
 # CONFIG_USB_ZERO is not set
@@ -4388,6 +4419,7 @@ CONFIG_USB_ETH_RNDIS=y
 # CONFIG_USB_FUNCTIONFS is not set
 # CONFIG_USB_FILE_STORAGE is not set
 # CONFIG_USB_MASS_STORAGE is not set
+# CONFIG_USB_GADGET_TARGET is not set
 # CONFIG_USB_G_SERIAL is not set
 # CONFIG_USB_MIDI_GADGET is not set
 # CONFIG_USB_G_PRINTER is not set
@@ -4478,7 +4510,6 @@ CONFIG_LEDS_REGULATOR=m
 CONFIG_LEDS_BD2802=m
 CONFIG_LEDS_LT3593=m
 CONFIG_LEDS_ADP5520=m
-CONFIG_LEDS_MC13783=m
 CONFIG_LEDS_ASIC3=y
 # CONFIG_LEDS_RENESAS_TPU is not set
 CONFIG_LEDS_TCA6507=m
@@ -4497,6 +4528,7 @@ CONFIG_LEDS_TRIGGER_DEFAULT_ON=m
 #
 # iptables trigger is under Netfilter config (LED target)
 #
+# CONFIG_LEDS_TRIGGER_TRANSIENT is not set
 # CONFIG_ACCESSIBILITY is not set
 CONFIG_INFINIBAND=m
 CONFIG_INFINIBAND_USER_MAD=m
@@ -4513,6 +4545,7 @@ CONFIG_INFINIBAND_CXGB4=m
 CONFIG_MLX4_INFINIBAND=m
 CONFIG_INFINIBAND_NES=m
 # CONFIG_INFINIBAND_NES_DEBUG is not set
+# CONFIG_INFINIBAND_OCRDMA is not set
 CONFIG_INFINIBAND_IPOIB=m
 CONFIG_INFINIBAND_IPOIB_CM=y
 CONFIG_INFINIBAND_IPOIB_DEBUG=y
@@ -4595,7 +4628,6 @@ CONFIG_RTC_DRV_WM831X=m
 #
 CONFIG_RTC_DRV_PL030=m
 CONFIG_RTC_DRV_PL031=m
-CONFIG_RTC_DRV_MC13XXX=m
 CONFIG_DMADEVICES=y
 # CONFIG_DMADEVICES_DEBUG is not set
 
@@ -4635,6 +4667,7 @@ CONFIG_VIRTIO_RING=m
 CONFIG_VIRTIO_PCI=m
 CONFIG_VIRTIO_BALLOON=m
 CONFIG_VIRTIO_MMIO=m
+# CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES is not set
 
 #
 # Microsoft Hyper-V guest support
@@ -4667,29 +4700,9 @@ CONFIG_TRANZPORT=m
 CONFIG_IDE_PHISON=m
 # CONFIG_LINE6_USB is not set
 CONFIG_USB_SERIAL_QUATECH2=m
-CONFIG_USB_SERIAL_QUATECH_USB2=m
 CONFIG_VT6655=m
 CONFIG_VT6656=m
-CONFIG_VME_BUS=m
-
-#
-# VME Bridge Drivers
-#
-# CONFIG_VME_CA91CX42 is not set
-# CONFIG_VME_TSI148 is not set
-
-#
-# VME Device Drivers
-#
-CONFIG_VME_USER=m
-CONFIG_VME_PIO2=m
-
-#
-# VME Board Drivers
-#
-CONFIG_VMIVME_7805=m
 CONFIG_DX_SEP=m
-# CONFIG_IIO is not set
 CONFIG_FB_SM7XX=m
 CONFIG_CRYSTALHD=m
 CONFIG_CXT1E1=m
@@ -4738,6 +4751,8 @@ CONFIG_STAGING_MEDIA=y
 CONFIG_PHONE=m
 CONFIG_PHONE_IXJ=m
 CONFIG_USB_WPAN_HCD=m
+# CONFIG_IPACK_BUS is not set
+# CONFIG_WIMAX_GDM72XX is not set
 CONFIG_CLKDEV_LOOKUP=y
 CONFIG_HAVE_MACH_CLKDEV=y
 
@@ -4756,6 +4771,27 @@ CONFIG_IOMMU_SUPPORT=y
 #
 CONFIG_VIRT_DRIVERS=y
 # CONFIG_PM_DEVFREQ is not set
+# CONFIG_EXTCON is not set
+# CONFIG_MEMORY is not set
+# CONFIG_IIO is not set
+CONFIG_VME_BUS=m
+
+#
+# VME Bridge Drivers
+#
+# CONFIG_VME_CA91CX42 is not set
+# CONFIG_VME_TSI148 is not set
+
+#
+# VME Board Drivers
+#
+CONFIG_VMIVME_7805=m
+
+#
+# VME Device Drivers
+#
+CONFIG_VME_USER=m
+CONFIG_VME_PIO2=m
 
 #
 # File systems
@@ -4901,11 +4937,9 @@ CONFIG_JFFS2_CMODE_PRIORITY=y
 # CONFIG_JFFS2_CMODE_SIZE is not set
 # CONFIG_JFFS2_CMODE_FAVOURLZO is not set
 CONFIG_UBIFS_FS=m
-CONFIG_UBIFS_FS_XATTR=y
 CONFIG_UBIFS_FS_ADVANCED_COMPR=y
 CONFIG_UBIFS_FS_LZO=y
 CONFIG_UBIFS_FS_ZLIB=y
-# CONFIG_UBIFS_FS_DEBUG is not set
 CONFIG_LOGFS=m
 CONFIG_CRAMFS=m
 CONFIG_SQUASHFS=m
@@ -4930,6 +4964,7 @@ CONFIG_ROMFS_BACKED_BY_BOTH=y
 CONFIG_ROMFS_ON_BLOCK=y
 CONFIG_ROMFS_ON_MTD=y
 CONFIG_PSTORE=y
+# CONFIG_PSTORE_RAM is not set
 CONFIG_SYSV_FS=m
 CONFIG_UFS_FS=m
 CONFIG_UFS_FS_WRITE=y
@@ -4939,6 +4974,7 @@ CONFIG_EXOFS_FS=m
 CONFIG_ORE=m
 CONFIG_NETWORK_FILESYSTEMS=y
 CONFIG_NFS_FS=m
+CONFIG_NFS_V2=y
 CONFIG_NFS_V3=y
 CONFIG_NFS_V3_ACL=y
 CONFIG_NFS_V4=y
@@ -5033,6 +5069,17 @@ CONFIG_NLS_ISO8859_14=m
 CONFIG_NLS_ISO8859_15=m
 CONFIG_NLS_KOI8_R=m
 CONFIG_NLS_KOI8_U=m
+# CONFIG_NLS_MAC_ROMAN is not set
+# CONFIG_NLS_MAC_CELTIC is not set
+# CONFIG_NLS_MAC_CENTEURO is not set
+# CONFIG_NLS_MAC_CROATIAN is not set
+# CONFIG_NLS_MAC_CYRILLIC is not set
+# CONFIG_NLS_MAC_GAELIC is not set
+# CONFIG_NLS_MAC_GREEK is not set
+# CONFIG_NLS_MAC_ICELAND is not set
+# CONFIG_NLS_MAC_INUIT is not set
+# CONFIG_NLS_MAC_ROMANIAN is not set
+# CONFIG_NLS_MAC_TURKISH is not set
 CONFIG_NLS_UTF8=m
 CONFIG_DLM=m
 CONFIG_DLM_DEBUG=y
@@ -5047,6 +5094,7 @@ CONFIG_ENABLE_MUST_CHECK=y
 CONFIG_FRAME_WARN=2048
 CONFIG_MAGIC_SYSRQ=y
 CONFIG_STRIP_ASM_SYMS=y
+# CONFIG_READABLE_ASM is not set
 CONFIG_UNUSED_SYMBOLS=y
 CONFIG_DEBUG_FS=y
 CONFIG_HEADERS_CHECK=y
@@ -5059,6 +5107,8 @@ CONFIG_BOOTPARAM_HARDLOCKUP_PANIC=y
 CONFIG_BOOTPARAM_HARDLOCKUP_PANIC_VALUE=1
 # CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC is not set
 CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC_VALUE=0
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=0
 CONFIG_DETECT_HUNG_TASK=y
 CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=480
 # CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
@@ -5129,6 +5179,7 @@ CONFIG_BRANCH_PROFILE_NONE=y
 # CONFIG_STACK_TRACER is not set
 CONFIG_BLK_DEV_IO_TRACE=y
 CONFIG_KPROBE_EVENT=y
+CONFIG_PROBE_EVENTS=y
 # CONFIG_FTRACE_STARTUP_TEST is not set
 CONFIG_RING_BUFFER_BENCHMARK=m
 CONFIG_FIREWIRE_OHCI_REMOTE_DMA=y
@@ -5252,7 +5303,7 @@ CONFIG_CRYPTO_VMAC=m
 #
 # Digest
 #
-CONFIG_CRYPTO_CRC32C=m
+CONFIG_CRYPTO_CRC32C=y
 CONFIG_CRYPTO_GHASH=m
 CONFIG_CRYPTO_MD4=m
 CONFIG_CRYPTO_MD5=m
@@ -5364,3 +5415,4 @@ CONFIG_GENERIC_ATOMIC64=y
 CONFIG_LRU_CACHE=m
 CONFIG_AVERAGE=y
 CONFIG_CORDIC=m
+# CONFIG_DDR is not set
diff --git a/config/armv7hl/imx51 b/config/armv7hl/imx51
index 6e3d3ea..3d65fa4 100644
--- a/config/armv7hl/imx51
+++ b/config/armv7hl/imx51
@@ -1,24 +1,18 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm 3.4.0 Kernel Configuration
+# Linux/arm 3.5.0-rc3 Kernel Configuration
 #
 CONFIG_ARM=y
 CONFIG_HAVE_PWM=y
 CONFIG_SYS_SUPPORTS_APM_EMULATION=y
 CONFIG_GENERIC_GPIO=y
-# CONFIG_ARCH_USES_GETTIMEOFFSET is not set
-CONFIG_GENERIC_CLOCKEVENTS=y
-CONFIG_KTIME_SCALAR=y
 CONFIG_HAVE_PROC_CPU=y
 CONFIG_STACKTRACE_SUPPORT=y
 CONFIG_HAVE_LATENCYTOP_SUPPORT=y
 CONFIG_LOCKDEP_SUPPORT=y
 CONFIG_TRACE_IRQFLAGS_SUPPORT=y
-CONFIG_HARDIRQS_SW_RESEND=y
-CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_RWSEM_GENERIC_SPINLOCK=y
 CONFIG_ARCH_HAS_CPUFREQ=y
-CONFIG_ARCH_HAS_CPU_IDLE_WAIT=y
 CONFIG_GENERIC_HWEIGHT=y
 CONFIG_GENERIC_CALIBRATE_DELAY=y
 CONFIG_NEED_DMA_MAP_STATE=y
@@ -75,10 +69,22 @@ CONFIG_HAVE_GENERIC_HARDIRQS=y
 # IRQ subsystem
 #
 CONFIG_GENERIC_HARDIRQS=y
+CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_GENERIC_IRQ_SHOW=y
+CONFIG_HARDIRQS_SW_RESEND=y
 CONFIG_GENERIC_IRQ_CHIP=y
 CONFIG_IRQ_DOMAIN=y
 # CONFIG_IRQ_DOMAIN_DEBUG is not set
+CONFIG_KTIME_SCALAR=y
+CONFIG_GENERIC_CLOCKEVENTS=y
+CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=y
+CONFIG_NO_HZ=y
+CONFIG_HIGH_RES_TIMERS=y
 
 #
 # RCU Subsystem
@@ -112,7 +118,6 @@ CONFIG_BLK_CGROUP=y
 CONFIG_NAMESPACES=y
 CONFIG_UTS_NS=y
 CONFIG_IPC_NS=y
-CONFIG_USER_NS=y
 CONFIG_PID_NS=y
 CONFIG_NET_NS=y
 # CONFIG_SCHED_AUTOGROUP is not set
@@ -154,7 +159,6 @@ CONFIG_PERF_USE_VMALLOC=y
 # Kernel Performance Events And Counters
 #
 CONFIG_PERF_EVENTS=y
-CONFIG_PERF_COUNTERS=y
 # CONFIG_DEBUG_PERF_USE_VMALLOC is not set
 CONFIG_VM_EVENT_COUNTERS=y
 # CONFIG_COMPAT_BRK is not set
@@ -169,6 +173,10 @@ CONFIG_KPROBES=y
 CONFIG_KRETPROBES=y
 CONFIG_HAVE_KPROBES=y
 CONFIG_HAVE_KRETPROBES=y
+CONFIG_HAVE_ARCH_TRACEHOOK=y
+CONFIG_HAVE_DMA_ATTRS=y
+CONFIG_HAVE_DMA_CONTIGUOUS=y
+CONFIG_GENERIC_SMP_IDLE_THREAD=y
 CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=y
 CONFIG_HAVE_CLK=y
 CONFIG_HAVE_DMA_API_DEBUG=y
@@ -285,8 +293,6 @@ CONFIG_ARCH_MXC=y
 # CONFIG_ARCH_IOP13XX is not set
 # CONFIG_ARCH_IOP32X is not set
 # CONFIG_ARCH_IOP33X is not set
-# CONFIG_ARCH_IXP23XX is not set
-# CONFIG_ARCH_IXP2000 is not set
 # CONFIG_ARCH_IXP4XX is not set
 # CONFIG_ARCH_DOVE is not set
 # CONFIG_ARCH_KIRKWOOD is not set
@@ -328,6 +334,7 @@ CONFIG_IMX_HAVE_PLATFORM_IMX2_WDT=y
 CONFIG_IMX_HAVE_PLATFORM_IMX_I2C=y
 CONFIG_IMX_HAVE_PLATFORM_IMX_KEYPAD=y
 CONFIG_IMX_HAVE_PLATFORM_PATA_IMX=y
+CONFIG_IMX_HAVE_PLATFORM_IMX_SSI=y
 CONFIG_IMX_HAVE_PLATFORM_IMX_UART=y
 CONFIG_IMX_HAVE_PLATFORM_MXC_EHCI=y
 CONFIG_IMX_HAVE_PLATFORM_MXC_NAND=y
@@ -376,8 +383,6 @@ CONFIG_SOC_IMX51=y
 CONFIG_MACH_IMX51_DT=y
 CONFIG_MACH_MX51_BABBAGE=y
 CONFIG_MACH_MX51_3DS=y
-CONFIG_MACH_EUKREA_CPUIMX51=y
-CONFIG_MACH_EUKREA_MBIMX51_BASEBOARD=y
 CONFIG_MACH_EUKREA_CPUIMX51SD=y
 CONFIG_MACH_EUKREA_MBIMXSD51_BASEBOARD=y
 CONFIG_MX51_EFIKA_COMMON=y
@@ -405,10 +410,6 @@ CONFIG_MXC_ULPI=y
 CONFIG_ARCH_MXC_IOMUX_V3=y
 
 #
-# System MMU
-#
-
-#
 # Processor Type
 #
 CONFIG_CPU_V7=y
@@ -468,10 +469,7 @@ CONFIG_MULTI_IRQ_HANDLER=y
 #
 # Kernel Features
 #
-CONFIG_TICK_ONESHOT=y
-CONFIG_NO_HZ=y
-CONFIG_HIGH_RES_TIMERS=y
-CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
+# CONFIG_ARM_ARCH_TIMER is not set
 CONFIG_VMSPLIT_3G=y
 # CONFIG_VMSPLIT_2G is not set
 # CONFIG_VMSPLIT_1G is not set
@@ -503,6 +501,7 @@ CONFIG_ZONE_DMA_FLAG=0
 CONFIG_VIRT_TO_BUS=y
 # CONFIG_KSM is not set
 CONFIG_DEFAULT_MMAP_MIN_ADDR=32768
+CONFIG_CROSS_MEMORY_ATTACH=y
 CONFIG_NEED_PER_CPU_KM=y
 CONFIG_CLEANCACHE=y
 # CONFIG_FRONTSWAP is not set
@@ -590,6 +589,8 @@ CONFIG_BINFMT_MISC=m
 CONFIG_SUSPEND=y
 CONFIG_SUSPEND_FREEZER=y
 CONFIG_PM_SLEEP=y
+# CONFIG_PM_AUTOSLEEP is not set
+# CONFIG_PM_WAKELOCKS is not set
 CONFIG_PM_RUNTIME=y
 CONFIG_PM=y
 CONFIG_PM_DEBUG=y
@@ -610,6 +611,7 @@ CONFIG_PACKET=m
 CONFIG_UNIX=y
 CONFIG_UNIX_DIAG=m
 CONFIG_XFRM=y
+CONFIG_XFRM_ALGO=m
 CONFIG_XFRM_USER=m
 CONFIG_XFRM_SUB_POLICY=y
 CONFIG_XFRM_MIGRATE=y
@@ -752,6 +754,7 @@ CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=m
 CONFIG_NETFILTER_XT_TARGET_CT=m
 CONFIG_NETFILTER_XT_TARGET_DSCP=m
 CONFIG_NETFILTER_XT_TARGET_HL=m
+CONFIG_NETFILTER_XT_TARGET_HMARK=m
 CONFIG_NETFILTER_XT_TARGET_IDLETIMER=m
 CONFIG_NETFILTER_XT_TARGET_LOG=m
 CONFIG_NETFILTER_XT_TARGET_MARK=m
@@ -911,7 +914,6 @@ CONFIG_IP_NF_ARP_MANGLE=m
 #
 CONFIG_NF_DEFRAG_IPV6=m
 CONFIG_NF_CONNTRACK_IPV6=m
-CONFIG_IP6_NF_QUEUE=m
 CONFIG_IP6_NF_IPTABLES=m
 CONFIG_IP6_NF_MATCH_AH=m
 CONFIG_IP6_NF_MATCH_EUI64=m
@@ -976,11 +978,11 @@ CONFIG_LLC=m
 # CONFIG_ATALK is not set
 # CONFIG_X25 is not set
 # CONFIG_LAPB is not set
-# CONFIG_ECONET is not set
 # CONFIG_WAN_ROUTER is not set
 CONFIG_PHONET=m
 CONFIG_IEEE802154=m
 CONFIG_IEEE802154_6LOWPAN=m
+CONFIG_MAC802154=m
 CONFIG_NET_SCHED=y
 
 #
@@ -1003,6 +1005,8 @@ CONFIG_NET_SCH_DRR=m
 CONFIG_NET_SCH_MQPRIO=m
 CONFIG_NET_SCH_CHOKE=m
 CONFIG_NET_SCH_QFQ=m
+CONFIG_NET_SCH_CODEL=m
+CONFIG_NET_SCH_FQ_CODEL=m
 CONFIG_NET_SCH_INGRESS=m
 CONFIG_NET_SCH_PLUG=m
 
@@ -1038,11 +1042,11 @@ CONFIG_NET_SCH_FIFO=y
 CONFIG_DCB=y
 CONFIG_DNS_RESOLVER=y
 CONFIG_BATMAN_ADV=m
+CONFIG_BATMAN_ADV_BLA=y
 CONFIG_BATMAN_ADV_DEBUG=y
 CONFIG_OPENVSWITCH=m
 CONFIG_NETPRIO_CGROUP=m
 CONFIG_BQL=y
-CONFIG_HAVE_BPF_JIT=y
 # CONFIG_BPF_JIT is not set
 
 #
@@ -1152,6 +1156,7 @@ CONFIG_CEPH_LIB_PRETTYDEBUG=y
 # CONFIG_CEPH_LIB_USE_DNS_RESOLVER is not set
 CONFIG_NFC=m
 CONFIG_NFC_NCI=m
+# CONFIG_NFC_HCI is not set
 CONFIG_NFC_LLCP=y
 
 #
@@ -1160,6 +1165,7 @@ CONFIG_NFC_LLCP=y
 CONFIG_PN544_NFC=m
 CONFIG_NFC_PN533=m
 CONFIG_NFC_WILINK=m
+CONFIG_HAVE_BPF_JIT=y
 
 #
 # Device Drivers
@@ -1184,6 +1190,7 @@ CONFIG_REGMAP=y
 CONFIG_REGMAP_I2C=m
 CONFIG_REGMAP_SPI=m
 CONFIG_DMA_SHARED_BUFFER=y
+# CONFIG_CMA is not set
 CONFIG_CONNECTOR=y
 CONFIG_PROC_EVENTS=y
 CONFIG_MTD=y
@@ -1291,7 +1298,6 @@ CONFIG_MTD_UBI=y
 CONFIG_MTD_UBI_WL_THRESHOLD=4096
 CONFIG_MTD_UBI_BEB_RESERVE=1
 CONFIG_MTD_UBI_GLUEBI=m
-# CONFIG_MTD_UBI_DEBUG is not set
 CONFIG_DTC=y
 CONFIG_OF=y
 
@@ -1305,10 +1311,8 @@ CONFIG_OF_EARLY_FLATTREE=y
 CONFIG_OF_ADDRESS=y
 CONFIG_OF_IRQ=y
 CONFIG_OF_DEVICE=y
-CONFIG_OF_GPIO=y
 CONFIG_OF_I2C=y
 CONFIG_OF_NET=y
-CONFIG_OF_SPI=y
 CONFIG_OF_MDIO=y
 CONFIG_OF_MTD=y
 # CONFIG_PARPORT is not set
@@ -1352,7 +1356,8 @@ CONFIG_ENCLOSURE_SERVICES=m
 # CONFIG_HMC6352 is not set
 # CONFIG_DS1682 is not set
 # CONFIG_TI_DAC7512 is not set
-# CONFIG_BMP085 is not set
+# CONFIG_BMP085_I2C is not set
+# CONFIG_BMP085_SPI is not set
 # CONFIG_USB_SWITCH_FSA9480 is not set
 CONFIG_C2PORT=m
 
@@ -1517,10 +1522,12 @@ CONFIG_EQUALIZER=m
 CONFIG_MII=m
 CONFIG_IEEE802154_DRIVERS=m
 CONFIG_IEEE802154_FAKEHARD=m
+# CONFIG_IEEE802154_FAKELB is not set
 CONFIG_IFB=m
 CONFIG_NET_TEAM=m
 CONFIG_NET_TEAM_MODE_ROUNDROBIN=m
 CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=m
+CONFIG_NET_TEAM_MODE_LOADBALANCE=m
 CONFIG_MACVLAN=m
 CONFIG_MACVTAP=m
 # CONFIG_NETCONSOLE is not set
@@ -1571,6 +1578,12 @@ CONFIG_NET_VENDOR_SMSC=y
 # CONFIG_SMSC911X is not set
 CONFIG_NET_VENDOR_STMICRO=y
 # CONFIG_STMMAC_ETH is not set
+CONFIG_NET_VENDOR_WIZNET=y
+CONFIG_WIZNET_W5100=m
+CONFIG_WIZNET_W5300=m
+# CONFIG_WIZNET_BUS_DIRECT is not set
+# CONFIG_WIZNET_BUS_INDIRECT is not set
+CONFIG_WIZNET_BUS_ANY=y
 CONFIG_PHYLIB=y
 
 #
@@ -1594,6 +1607,8 @@ CONFIG_LSI_ET1011C_PHY=y
 # CONFIG_FIXED_PHY is not set
 CONFIG_MDIO_BITBANG=y
 CONFIG_MDIO_GPIO=y
+CONFIG_MDIO_BUS_MUX=m
+CONFIG_MDIO_BUS_MUX_GPIO=m
 CONFIG_MICREL_KS8995MA=m
 # CONFIG_PPP is not set
 # CONFIG_SLIP is not set
@@ -1659,8 +1674,7 @@ CONFIG_RT2X00_LIB_CRYPTO=y
 CONFIG_RT2X00_LIB_LEDS=y
 # CONFIG_RT2X00_DEBUG is not set
 # CONFIG_RTL8192CU is not set
-# CONFIG_WL1251 is not set
-# CONFIG_WL12XX_MENU is not set
+# CONFIG_WL_TI is not set
 # CONFIG_ZD1211RW is not set
 # CONFIG_MWIFIEX is not set
 
@@ -1679,6 +1693,7 @@ CONFIG_INPUT=y
 CONFIG_INPUT_FF_MEMLESS=m
 # CONFIG_INPUT_POLLDEV is not set
 # CONFIG_INPUT_SPARSEKMAP is not set
+CONFIG_INPUT_MATRIXKMAP=m
 
 #
 # Userland interfaces
@@ -1706,6 +1721,7 @@ CONFIG_KEYBOARD_GPIO=y
 CONFIG_KEYBOARD_TCA8418=m
 # CONFIG_KEYBOARD_MATRIX is not set
 # CONFIG_KEYBOARD_LM8323 is not set
+# CONFIG_KEYBOARD_LM8333 is not set
 # CONFIG_KEYBOARD_MAX7359 is not set
 # CONFIG_KEYBOARD_MCS is not set
 # CONFIG_KEYBOARD_MPR121 is not set
@@ -1795,12 +1811,12 @@ CONFIG_VIRTIO_CONSOLE=m
 # CONFIG_IPMI_HANDLER is not set
 CONFIG_HW_RANDOM=y
 # CONFIG_HW_RANDOM_TIMERIOMEM is not set
+# CONFIG_HW_RANDOM_ATMEL is not set
 CONFIG_HW_RANDOM_VIRTIO=m
 # CONFIG_R3964 is not set
 CONFIG_RAW_DRIVER=m
 CONFIG_MAX_RAW_DEVS=256
 # CONFIG_TCG_TPM is not set
-# CONFIG_RAMOOPS is not set
 # CONFIG_CRASHER is not set
 CONFIG_I2C=y
 CONFIG_I2C_BOARDINFO=y
@@ -1896,8 +1912,10 @@ CONFIG_PTP_1588_CLOCK=m
 #
 # Enable PHYLIB and NETWORK_PHY_TIMESTAMPING to see the additional clocks.
 #
+CONFIG_ARCH_HAVE_CUSTOM_GPIO_H=y
 CONFIG_ARCH_REQUIRE_GPIOLIB=y
 CONFIG_GPIOLIB=y
+CONFIG_OF_GPIO=y
 # CONFIG_DEBUG_GPIO is not set
 CONFIG_GPIO_SYSFS=y
 CONFIG_GPIO_GENERIC=y
@@ -1906,6 +1924,7 @@ CONFIG_GPIO_GENERIC=y
 # Memory mapped GPIO drivers:
 #
 # CONFIG_GPIO_GENERIC_PLATFORM is not set
+CONFIG_GPIO_EM=m
 CONFIG_GPIO_MXC=y
 
 #
@@ -1980,6 +1999,7 @@ CONFIG_MFD_CORE=y
 # CONFIG_HTC_EGPIO is not set
 # CONFIG_HTC_PASIC3 is not set
 # CONFIG_HTC_I2CPLD is not set
+# CONFIG_MFD_LM3533 is not set
 # CONFIG_TPS6105X is not set
 # CONFIG_TPS65010 is not set
 # CONFIG_TPS6507X is not set
@@ -2006,6 +2026,7 @@ CONFIG_STMPE_SPI=y
 # CONFIG_MFD_DA9052_SPI is not set
 # CONFIG_MFD_DA9052_I2C is not set
 # CONFIG_PMIC_ADP5520 is not set
+# CONFIG_MFD_MAX77693 is not set
 # CONFIG_MFD_MAX8925 is not set
 # CONFIG_MFD_MAX8997 is not set
 # CONFIG_MFD_MAX8998 is not set
@@ -2016,14 +2037,17 @@ CONFIG_STMPE_SPI=y
 # CONFIG_MFD_WM8350_I2C is not set
 # CONFIG_MFD_WM8994 is not set
 # CONFIG_MFD_PCF50633 is not set
-CONFIG_MFD_MC13783=y
-CONFIG_MFD_MC13XXX=y
+CONFIG_MFD_MC13783=m
+CONFIG_MFD_MC13XXX=m
+CONFIG_MFD_MC13XXX_SPI=m
+CONFIG_MFD_MC13XXX_I2C=m
 # CONFIG_ABX500_CORE is not set
 # CONFIG_EZX_PCAP is not set
 CONFIG_MFD_WL1273_CORE=m
 # CONFIG_MFD_TPS65090 is not set
 # CONFIG_MFD_AAT2870_CORE is not set
 # CONFIG_MFD_RC5T583 is not set
+# CONFIG_MFD_PALMAS is not set
 CONFIG_REGULATOR=y
 # CONFIG_REGULATOR_DEBUG is not set
 # CONFIG_REGULATOR_DUMMY is not set
@@ -2105,7 +2129,9 @@ CONFIG_MEDIA_TUNER_MXL5007T=m
 CONFIG_MEDIA_TUNER_MC44S803=m
 CONFIG_MEDIA_TUNER_MAX2165=m
 CONFIG_MEDIA_TUNER_TDA18218=m
+CONFIG_MEDIA_TUNER_FC0011=m
 CONFIG_MEDIA_TUNER_TDA18212=m
+CONFIG_MEDIA_TUNER_TUA9001=m
 CONFIG_VIDEO_V4L2=m
 CONFIG_VIDEOBUF_GEN=m
 CONFIG_VIDEOBUF_VMALLOC=m
@@ -2173,6 +2199,7 @@ CONFIG_VIDEO_MT9V011=m
 #
 CONFIG_VIDEO_VIVI=m
 CONFIG_V4L_USB_DRIVERS=y
+CONFIG_VIDEO_AU0828=m
 CONFIG_USB_VIDEO_CLASS=m
 CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=y
 CONFIG_USB_GSPCA=m
@@ -2230,7 +2257,7 @@ CONFIG_VIDEO_HDPVR=m
 CONFIG_VIDEO_EM28XX=m
 CONFIG_VIDEO_EM28XX_ALSA=m
 CONFIG_VIDEO_EM28XX_DVB=m
-CONFIG_VIDEO_EM28XX_RC=y
+CONFIG_VIDEO_EM28XX_RC=m
 CONFIG_VIDEO_TLG2300=m
 CONFIG_VIDEO_CX231XX=m
 CONFIG_VIDEO_CX231XX_RC=y
@@ -2240,7 +2267,6 @@ CONFIG_VIDEO_TM6000=m
 CONFIG_VIDEO_TM6000_ALSA=m
 CONFIG_VIDEO_TM6000_DVB=m
 CONFIG_VIDEO_USBVISION=m
-CONFIG_USB_ET61X251=m
 CONFIG_USB_SN9C102=m
 CONFIG_USB_PWC=m
 CONFIG_USB_PWC_DEBUG=y
@@ -2337,6 +2363,7 @@ CONFIG_DVB_USB_TECHNISAT_USB2=m
 CONFIG_DVB_USB_IT913X=m
 CONFIG_DVB_USB_MXL111SF=m
 CONFIG_DVB_USB_RTL28XXU=m
+CONFIG_DVB_USB_AF9035=m
 CONFIG_SMS_SIANO_MDTV=m
 
 #
@@ -2424,7 +2451,11 @@ CONFIG_DVB_NXT200X=m
 CONFIG_DVB_BCM3510=m
 CONFIG_DVB_LGDT330X=m
 CONFIG_DVB_LGDT3305=m
+CONFIG_DVB_LG2160=m
 CONFIG_DVB_S5H1409=m
+CONFIG_DVB_AU8522=m
+CONFIG_DVB_AU8522_DTV=m
+CONFIG_DVB_AU8522_V4L=m
 CONFIG_DVB_S5H1411=m
 
 #
@@ -2454,6 +2485,7 @@ CONFIG_DVB_ATBM8830=m
 CONFIG_DVB_IX2505V=m
 CONFIG_DVB_IT913X_FE=m
 CONFIG_DVB_M88RS2000=m
+CONFIG_DVB_AF9033=m
 
 #
 # Tools to develop new frontends
@@ -2509,6 +2541,7 @@ CONFIG_FB_UDL=m
 # CONFIG_FB_METRONOME is not set
 CONFIG_FB_MX3=y
 # CONFIG_FB_BROADSHEET is not set
+# CONFIG_FB_AUO_K190X is not set
 # CONFIG_EXYNOS_VIDEO is not set
 CONFIG_BACKLIGHT_LCD_SUPPORT=y
 CONFIG_LCD_CLASS_DEVICE=m
@@ -2597,15 +2630,24 @@ CONFIG_SND_USB_AUDIO=m
 # CONFIG_SND_USB_CAIAQ is not set
 # CONFIG_SND_USB_6FIRE is not set
 CONFIG_SND_SOC=m
+CONFIG_SND_SOC_DMAENGINE_PCM=y
+CONFIG_SND_SOC_FSL_SSI=m
+CONFIG_SND_SOC_FSL_UTILS=m
 CONFIG_SND_IMX_SOC=m
 CONFIG_SND_SOC_IMX_SSI=m
 CONFIG_SND_SOC_IMX_PCM=m
-CONFIG_SND_MXC_SOC_FIQ=m
+CONFIG_SND_SOC_IMX_PCM_FIQ=m
+CONFIG_SND_SOC_IMX_PCM_DMA=m
 CONFIG_SND_SOC_IMX_AUDMUX=m
 CONFIG_SND_SOC_EUKREA_TLV320=m
+CONFIG_SND_SOC_IMX_SGTL5000=m
+CONFIG_SND_SOC_IMX_MC13783=m
 CONFIG_SND_SOC_I2C_AND_SPI=m
 # CONFIG_SND_SOC_ALL_CODECS is not set
+CONFIG_SND_SOC_SGTL5000=m
 CONFIG_SND_SOC_TLV320AIC23=m
+CONFIG_SND_SOC_MC13783=m
+# CONFIG_SND_SIMPLE_CARD is not set
 CONFIG_SOUND_PRIME=m
 CONFIG_HID_SUPPORT=y
 CONFIG_HID=m
@@ -2621,9 +2663,11 @@ CONFIG_USB_HID=m
 #
 # Special HID drivers
 #
+CONFIG_HID_GENERIC=m
 CONFIG_HID_A4TECH=m
 # CONFIG_HID_ACRUX is not set
 CONFIG_HID_APPLE=m
+# CONFIG_HID_AUREAL is not set
 CONFIG_HID_BELKIN=m
 CONFIG_HID_CHERRY=m
 CONFIG_HID_CHICONY=m
@@ -2686,8 +2730,6 @@ CONFIG_USB=m
 #
 # Miscellaneous USB options
 #
-# CONFIG_USB_DEVICEFS is not set
-CONFIG_USB_DEVICE_CLASS=y
 # CONFIG_USB_DYNAMIC_MINORS is not set
 # CONFIG_USB_SUSPEND is not set
 # CONFIG_USB_DWC3 is not set
@@ -2711,6 +2753,7 @@ CONFIG_USB_EHCI_MXC=y
 # CONFIG_USB_R8A66597_HCD is not set
 # CONFIG_USB_IMX21_HCD is not set
 # CONFIG_USB_MUSB_HDRC is not set
+# CONFIG_USB_CHIPIDEA is not set
 # CONFIG_USB_RENESAS_USBHS is not set
 
 #
@@ -2780,12 +2823,21 @@ CONFIG_USB_STORAGE=m
 # CONFIG_USB_TEST is not set
 # CONFIG_USB_ISIGHTFW is not set
 # CONFIG_USB_YUREX is not set
+
+#
+# USB Physical Layer drivers
+#
+# CONFIG_USB_ISP1301 is not set
 CONFIG_USB_GADGET=m
 # CONFIG_USB_GADGET_DEBUG is not set
 # CONFIG_USB_GADGET_DEBUG_FILES is not set
 # CONFIG_USB_GADGET_DEBUG_FS is not set
 CONFIG_USB_GADGET_VBUS_DRAW=2
 CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=2
+
+#
+# USB Peripheral Controller
+#
 # CONFIG_USB_FSL_USB2 is not set
 # CONFIG_USB_FUSB300 is not set
 # CONFIG_USB_R8A66597 is not set
@@ -2804,6 +2856,7 @@ CONFIG_USB_ETH_RNDIS=y
 # CONFIG_USB_FUNCTIONFS is not set
 # CONFIG_USB_FILE_STORAGE is not set
 # CONFIG_USB_MASS_STORAGE is not set
+# CONFIG_USB_GADGET_TARGET is not set
 # CONFIG_USB_G_SERIAL is not set
 # CONFIG_USB_MIDI_GADGET is not set
 # CONFIG_USB_G_PRINTER is not set
@@ -2945,7 +2998,6 @@ CONFIG_RTC_INTF_DEV_UIE_EMUL=y
 # CONFIG_RTC_DRV_M48T35 is not set
 # CONFIG_RTC_DRV_M48T59 is not set
 # CONFIG_RTC_DRV_MSM6242 is not set
-CONFIG_RTC_MXC=y
 # CONFIG_RTC_DRV_BQ4802 is not set
 # CONFIG_RTC_DRV_RP5C01 is not set
 # CONFIG_RTC_DRV_V3020 is not set
@@ -2953,7 +3005,8 @@ CONFIG_RTC_MXC=y
 #
 # on-CPU RTC drivers
 #
-CONFIG_RTC_DRV_MC13XXX=y
+CONFIG_RTC_DRV_MC13XXX=m
+CONFIG_RTC_DRV_MXC=m
 CONFIG_DMADEVICES=y
 # CONFIG_DMADEVICES_DEBUG is not set
 
@@ -2984,6 +3037,7 @@ CONFIG_VIRTIO_RING=m
 #
 CONFIG_VIRTIO_BALLOON=m
 CONFIG_VIRTIO_MMIO=m
+# CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES is not set
 
 #
 # Microsoft Hyper-V guest support
@@ -3003,7 +3057,6 @@ CONFIG_RTLLIB_CRYPTO_WEP=m
 # CONFIG_TRANZPORT is not set
 # CONFIG_LINE6_USB is not set
 # CONFIG_VT6656 is not set
-# CONFIG_IIO is not set
 # CONFIG_FB_SM7XX is not set
 # CONFIG_USB_ENESTORAGE is not set
 # CONFIG_BCM_WIMAX is not set
@@ -3027,7 +3080,16 @@ CONFIG_STAGING_MEDIA=y
 # CONFIG_ANDROID is not set
 CONFIG_PHONE=m
 CONFIG_USB_WPAN_HCD=m
+# CONFIG_IPACK_BUS is not set
+# CONFIG_WIMAX_GDM72XX is not set
 CONFIG_CLKDEV_LOOKUP=y
+CONFIG_HAVE_CLK_PREPARE=y
+CONFIG_COMMON_CLK=y
+
+#
+# Common Clock Framework
+#
+# CONFIG_COMMON_CLK_DEBUG is not set
 
 #
 # Hardware Spinlock drivers
@@ -3044,6 +3106,9 @@ CONFIG_IOMMU_SUPPORT=y
 #
 CONFIG_VIRT_DRIVERS=y
 # CONFIG_PM_DEVFREQ is not set
+# CONFIG_EXTCON is not set
+# CONFIG_MEMORY is not set
+# CONFIG_IIO is not set
 
 #
 # File systems
@@ -3186,11 +3251,9 @@ CONFIG_JFFS2_CMODE_PRIORITY=y
 # CONFIG_JFFS2_CMODE_SIZE is not set
 # CONFIG_JFFS2_CMODE_FAVOURLZO is not set
 CONFIG_UBIFS_FS=y
-CONFIG_UBIFS_FS_XATTR=y
 # CONFIG_UBIFS_FS_ADVANCED_COMPR is not set
 CONFIG_UBIFS_FS_LZO=y
 CONFIG_UBIFS_FS_ZLIB=y
-# CONFIG_UBIFS_FS_DEBUG is not set
 CONFIG_LOGFS=m
 CONFIG_CRAMFS=m
 CONFIG_SQUASHFS=m
@@ -3214,6 +3277,7 @@ CONFIG_ROMFS_BACKED_BY_BLOCK=y
 # CONFIG_ROMFS_BACKED_BY_BOTH is not set
 CONFIG_ROMFS_ON_BLOCK=y
 CONFIG_PSTORE=y
+# CONFIG_PSTORE_RAM is not set
 CONFIG_SYSV_FS=m
 CONFIG_UFS_FS=m
 # CONFIG_UFS_FS_WRITE is not set
@@ -3223,6 +3287,7 @@ CONFIG_EXOFS_FS=m
 CONFIG_ORE=m
 CONFIG_NETWORK_FILESYSTEMS=y
 CONFIG_NFS_FS=m
+CONFIG_NFS_V2=y
 CONFIG_NFS_V3=y
 CONFIG_NFS_V3_ACL=y
 CONFIG_NFS_V4=y
@@ -3308,6 +3373,17 @@ CONFIG_NLS_ISO8859_14=m
 CONFIG_NLS_ISO8859_15=m
 CONFIG_NLS_KOI8_R=m
 CONFIG_NLS_KOI8_U=m
+# CONFIG_NLS_MAC_ROMAN is not set
+# CONFIG_NLS_MAC_CELTIC is not set
+# CONFIG_NLS_MAC_CENTEURO is not set
+# CONFIG_NLS_MAC_CROATIAN is not set
+# CONFIG_NLS_MAC_CYRILLIC is not set
+# CONFIG_NLS_MAC_GAELIC is not set
+# CONFIG_NLS_MAC_GREEK is not set
+# CONFIG_NLS_MAC_ICELAND is not set
+# CONFIG_NLS_MAC_INUIT is not set
+# CONFIG_NLS_MAC_ROMANIAN is not set
+# CONFIG_NLS_MAC_TURKISH is not set
 CONFIG_NLS_UTF8=m
 CONFIG_DLM=m
 CONFIG_DLM_DEBUG=y
@@ -3322,6 +3398,7 @@ CONFIG_ENABLE_MUST_CHECK=y
 CONFIG_FRAME_WARN=1024
 CONFIG_MAGIC_SYSRQ=y
 CONFIG_STRIP_ASM_SYMS=y
+# CONFIG_READABLE_ASM is not set
 CONFIG_UNUSED_SYMBOLS=y
 CONFIG_DEBUG_FS=y
 # CONFIG_HEADERS_CHECK is not set
@@ -3330,6 +3407,8 @@ CONFIG_DEBUG_KERNEL=y
 # CONFIG_DEBUG_SHIRQ is not set
 # CONFIG_LOCKUP_DETECTOR is not set
 # CONFIG_HARDLOCKUP_DETECTOR is not set
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=0
 CONFIG_DETECT_HUNG_TASK=y
 CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=120
 # CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
@@ -3400,6 +3479,7 @@ CONFIG_BRANCH_PROFILE_NONE=y
 # CONFIG_STACK_TRACER is not set
 CONFIG_BLK_DEV_IO_TRACE=y
 CONFIG_KPROBE_EVENT=y
+CONFIG_PROBE_EVENTS=y
 # CONFIG_FTRACE_STARTUP_TEST is not set
 # CONFIG_RING_BUFFER_BENCHMARK is not set
 CONFIG_DYNAMIC_DEBUG=y
@@ -3521,7 +3601,7 @@ CONFIG_CRYPTO_VMAC=m
 #
 # Digest
 #
-CONFIG_CRYPTO_CRC32C=m
+CONFIG_CRYPTO_CRC32C=y
 CONFIG_CRYPTO_GHASH=m
 CONFIG_CRYPTO_MD4=m
 CONFIG_CRYPTO_MD5=m
@@ -3627,3 +3707,4 @@ CONFIG_NLATTR=y
 CONFIG_LRU_CACHE=m
 CONFIG_AVERAGE=y
 CONFIG_CORDIC=m
+# CONFIG_DDR is not set
diff --git a/config/armv7hl/tegra b/config/armv7hl/tegra
index d1322f9..004c5b3 100644
--- a/config/armv7hl/tegra
+++ b/config/armv7hl/tegra
@@ -1,23 +1,16 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm 3.4.0 Kernel Configuration
+# Linux/arm 3.5.0-rc3 Kernel Configuration
 #
 CONFIG_ARM=y
 CONFIG_SYS_SUPPORTS_APM_EMULATION=y
 CONFIG_GENERIC_GPIO=y
-# CONFIG_ARCH_USES_GETTIMEOFFSET is not set
-CONFIG_GENERIC_CLOCKEVENTS=y
-CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=y
-CONFIG_KTIME_SCALAR=y
 CONFIG_HAVE_PROC_CPU=y
 CONFIG_STACKTRACE_SUPPORT=y
 CONFIG_LOCKDEP_SUPPORT=y
 CONFIG_TRACE_IRQFLAGS_SUPPORT=y
-CONFIG_HARDIRQS_SW_RESEND=y
-CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_RWSEM_GENERIC_SPINLOCK=y
 CONFIG_ARCH_HAS_CPUFREQ=y
-CONFIG_ARCH_HAS_CPU_IDLE_WAIT=y
 CONFIG_GENERIC_HWEIGHT=y
 CONFIG_GENERIC_CALIBRATE_DELAY=y
 CONFIG_NEED_DMA_MAP_STATE=y
@@ -73,9 +66,22 @@ CONFIG_HAVE_GENERIC_HARDIRQS=y
 # IRQ subsystem
 #
 CONFIG_GENERIC_HARDIRQS=y
+CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_GENERIC_IRQ_SHOW=y
+CONFIG_HARDIRQS_SW_RESEND=y
 CONFIG_IRQ_DOMAIN=y
 # CONFIG_IRQ_DOMAIN_DEBUG is not set
+CONFIG_KTIME_SCALAR=y
+CONFIG_GENERIC_CLOCKEVENTS=y
+CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
+CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=y
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=y
+CONFIG_NO_HZ=y
+CONFIG_HIGH_RES_TIMERS=y
 
 #
 # RCU Subsystem
@@ -83,6 +89,7 @@ CONFIG_IRQ_DOMAIN=y
 CONFIG_TREE_RCU=y
 # CONFIG_PREEMPT_RCU is not set
 CONFIG_RCU_FANOUT=32
+CONFIG_RCU_FANOUT_LEAF=16
 # CONFIG_RCU_FANOUT_EXACT is not set
 CONFIG_RCU_FAST_NO_HZ=y
 # CONFIG_TREE_RCU_TRACE is not set
@@ -112,7 +119,6 @@ CONFIG_BLK_CGROUP=y
 CONFIG_NAMESPACES=y
 CONFIG_UTS_NS=y
 CONFIG_IPC_NS=y
-CONFIG_USER_NS=y
 CONFIG_PID_NS=y
 CONFIG_NET_NS=y
 # CONFIG_SCHED_AUTOGROUP is not set
@@ -154,7 +160,6 @@ CONFIG_PERF_USE_VMALLOC=y
 # Kernel Performance Events And Counters
 #
 CONFIG_PERF_EVENTS=y
-CONFIG_PERF_COUNTERS=y
 # CONFIG_DEBUG_PERF_USE_VMALLOC is not set
 CONFIG_VM_EVENT_COUNTERS=y
 CONFIG_PCI_QUIRKS=y
@@ -170,7 +175,11 @@ CONFIG_KPROBES=y
 CONFIG_KRETPROBES=y
 CONFIG_HAVE_KPROBES=y
 CONFIG_HAVE_KRETPROBES=y
+CONFIG_HAVE_ARCH_TRACEHOOK=y
+CONFIG_HAVE_DMA_ATTRS=y
+CONFIG_HAVE_DMA_CONTIGUOUS=y
 CONFIG_USE_GENERIC_SMP_HELPERS=y
+CONFIG_GENERIC_SMP_IDLE_THREAD=y
 CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=y
 CONFIG_HAVE_CLK=y
 CONFIG_HAVE_DMA_API_DEBUG=y
@@ -289,8 +298,6 @@ CONFIG_MMU=y
 # CONFIG_ARCH_IOP13XX is not set
 # CONFIG_ARCH_IOP32X is not set
 # CONFIG_ARCH_IOP33X is not set
-# CONFIG_ARCH_IXP23XX is not set
-# CONFIG_ARCH_IXP2000 is not set
 # CONFIG_ARCH_IXP4XX is not set
 # CONFIG_ARCH_DOVE is not set
 # CONFIG_ARCH_KIRKWOOD is not set
@@ -327,15 +334,12 @@ CONFIG_ARCH_TEGRA=y
 # CONFIG_KEYBOARD_GPIO_POLLED is not set
 
 #
-# System MMU
-#
-
-#
 # NVIDIA Tegra options
 #
 CONFIG_ARCH_TEGRA_2x_SOC=y
 CONFIG_ARCH_TEGRA_3x_SOC=y
 CONFIG_TEGRA_PCI=y
+CONFIG_TEGRA_AHB=y
 
 #
 # Tegra board type
@@ -354,6 +358,9 @@ CONFIG_MACH_VENTANA=y
 # CONFIG_TEGRA_DEBUG_UARTC is not set
 CONFIG_TEGRA_DEBUG_UARTD=y
 # CONFIG_TEGRA_DEBUG_UARTE is not set
+CONFIG_TEGRA_DEBUG_UART_AUTO_NONE=y
+# CONFIG_TEGRA_DEBUG_UART_AUTO_ODMDATA is not set
+# CONFIG_TEGRA_DEBUG_UART_AUTO_SCRATCH is not set
 CONFIG_TEGRA_SYSTEM_DMA=y
 CONFIG_TEGRA_EMC_SCALING_ENABLE=y
 
@@ -429,10 +436,6 @@ CONFIG_PCI_REALLOC_ENABLE_AUTO=y
 #
 # Kernel Features
 #
-CONFIG_TICK_ONESHOT=y
-CONFIG_NO_HZ=y
-CONFIG_HIGH_RES_TIMERS=y
-CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
 CONFIG_HAVE_SMP=y
 CONFIG_SMP=y
 CONFIG_SMP_ON_UP=y
@@ -440,6 +443,7 @@ CONFIG_ARM_CPU_TOPOLOGY=y
 CONFIG_SCHED_MC=y
 # CONFIG_SCHED_SMT is not set
 CONFIG_HAVE_ARM_SCU=y
+# CONFIG_ARM_ARCH_TIMER is not set
 CONFIG_HAVE_ARM_TWD=y
 CONFIG_VMSPLIT_3G=y
 # CONFIG_VMSPLIT_2G is not set
@@ -477,6 +481,7 @@ CONFIG_BOUNCE=y
 CONFIG_VIRT_TO_BUS=y
 # CONFIG_KSM is not set
 CONFIG_DEFAULT_MMAP_MIN_ADDR=4096
+CONFIG_CROSS_MEMORY_ATTACH=y
 CONFIG_CLEANCACHE=y
 # CONFIG_FRONTSWAP is not set
 CONFIG_FORCE_MAX_ZONEORDER=11
@@ -556,18 +561,13 @@ CONFIG_BINFMT_MISC=m
 #
 # Power management options
 #
-CONFIG_SUSPEND=y
-CONFIG_SUSPEND_FREEZER=y
-CONFIG_PM_SLEEP=y
-CONFIG_PM_SLEEP_SMP=y
 CONFIG_PM_RUNTIME=y
 CONFIG_PM=y
 # CONFIG_PM_DEBUG is not set
 # CONFIG_APM_EMULATION is not set
 CONFIG_PM_CLK=y
 CONFIG_CPU_PM=y
-CONFIG_ARCH_SUSPEND_POSSIBLE=y
-CONFIG_ARM_CPU_SUSPEND=y
+# CONFIG_ARM_CPU_SUSPEND is not set
 CONFIG_NET=y
 
 #
@@ -577,6 +577,7 @@ CONFIG_PACKET=m
 CONFIG_UNIX=y
 CONFIG_UNIX_DIAG=m
 CONFIG_XFRM=y
+CONFIG_XFRM_ALGO=m
 CONFIG_XFRM_USER=m
 CONFIG_XFRM_SUB_POLICY=y
 CONFIG_XFRM_MIGRATE=y
@@ -719,6 +720,7 @@ CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=m
 CONFIG_NETFILTER_XT_TARGET_CT=m
 CONFIG_NETFILTER_XT_TARGET_DSCP=m
 CONFIG_NETFILTER_XT_TARGET_HL=m
+CONFIG_NETFILTER_XT_TARGET_HMARK=m
 CONFIG_NETFILTER_XT_TARGET_IDLETIMER=m
 # CONFIG_NETFILTER_XT_TARGET_LED is not set
 CONFIG_NETFILTER_XT_TARGET_LOG=m
@@ -879,7 +881,6 @@ CONFIG_IP_NF_ARP_MANGLE=m
 #
 CONFIG_NF_DEFRAG_IPV6=m
 CONFIG_NF_CONNTRACK_IPV6=m
-CONFIG_IP6_NF_QUEUE=m
 CONFIG_IP6_NF_IPTABLES=m
 CONFIG_IP6_NF_MATCH_AH=m
 CONFIG_IP6_NF_MATCH_EUI64=m
@@ -938,17 +939,17 @@ CONFIG_BRIDGE_IGMP_SNOOPING=y
 CONFIG_VLAN_8021Q=m
 CONFIG_VLAN_8021Q_GVRP=y
 # CONFIG_DECNET is not set
-CONFIG_LLC=y
+CONFIG_LLC=m
 # CONFIG_LLC2 is not set
 # CONFIG_IPX is not set
 # CONFIG_ATALK is not set
 # CONFIG_X25 is not set
 # CONFIG_LAPB is not set
-# CONFIG_ECONET is not set
 # CONFIG_WAN_ROUTER is not set
 CONFIG_PHONET=m
 CONFIG_IEEE802154=m
 CONFIG_IEEE802154_6LOWPAN=m
+CONFIG_MAC802154=m
 CONFIG_NET_SCHED=y
 
 #
@@ -971,6 +972,8 @@ CONFIG_NET_SCH_DRR=m
 CONFIG_NET_SCH_MQPRIO=m
 CONFIG_NET_SCH_CHOKE=m
 CONFIG_NET_SCH_QFQ=m
+CONFIG_NET_SCH_CODEL=m
+CONFIG_NET_SCH_FQ_CODEL=m
 CONFIG_NET_SCH_INGRESS=m
 CONFIG_NET_SCH_PLUG=m
 
@@ -1006,6 +1009,7 @@ CONFIG_NET_SCH_FIFO=y
 CONFIG_DCB=y
 CONFIG_DNS_RESOLVER=y
 CONFIG_BATMAN_ADV=m
+CONFIG_BATMAN_ADV_BLA=y
 CONFIG_BATMAN_ADV_DEBUG=y
 CONFIG_OPENVSWITCH=m
 CONFIG_RPS=y
@@ -1013,7 +1017,6 @@ CONFIG_RFS_ACCEL=y
 CONFIG_XPS=y
 CONFIG_NETPRIO_CGROUP=m
 CONFIG_BQL=y
-CONFIG_HAVE_BPF_JIT=y
 # CONFIG_BPF_JIT is not set
 
 #
@@ -1127,6 +1130,7 @@ CONFIG_CEPH_LIB_PRETTYDEBUG=y
 # CONFIG_CEPH_LIB_USE_DNS_RESOLVER is not set
 CONFIG_NFC=m
 CONFIG_NFC_NCI=m
+# CONFIG_NFC_HCI is not set
 CONFIG_NFC_LLCP=y
 
 #
@@ -1135,6 +1139,7 @@ CONFIG_NFC_LLCP=y
 CONFIG_PN544_NFC=m
 CONFIG_NFC_PN533=m
 CONFIG_NFC_WILINK=m
+CONFIG_HAVE_BPF_JIT=y
 
 #
 # Device Drivers
@@ -1158,7 +1163,9 @@ CONFIG_EXTRA_FIRMWARE=""
 CONFIG_REGMAP=y
 CONFIG_REGMAP_I2C=m
 CONFIG_REGMAP_SPI=m
+CONFIG_REGMAP_MMIO=m
 CONFIG_DMA_SHARED_BUFFER=y
+# CONFIG_CMA is not set
 CONFIG_CONNECTOR=y
 CONFIG_PROC_EVENTS=y
 CONFIG_MTD=m
@@ -1264,7 +1271,6 @@ CONFIG_MTD_UBI=m
 CONFIG_MTD_UBI_WL_THRESHOLD=4096
 CONFIG_MTD_UBI_BEB_RESERVE=1
 CONFIG_MTD_UBI_GLUEBI=m
-# CONFIG_MTD_UBI_DEBUG is not set
 CONFIG_DTC=y
 CONFIG_OF=y
 
@@ -1278,10 +1284,8 @@ CONFIG_OF_EARLY_FLATTREE=y
 CONFIG_OF_ADDRESS=y
 CONFIG_OF_IRQ=y
 CONFIG_OF_DEVICE=y
-CONFIG_OF_GPIO=y
 CONFIG_OF_I2C=y
 CONFIG_OF_NET=y
-CONFIG_OF_SPI=y
 CONFIG_OF_MDIO=m
 CONFIG_OF_PCI=y
 CONFIG_OF_PCI_IRQ=y
@@ -1337,7 +1341,8 @@ CONFIG_ENCLOSURE_SERVICES=m
 # CONFIG_HMC6352 is not set
 # CONFIG_DS1682 is not set
 # CONFIG_TI_DAC7512 is not set
-# CONFIG_BMP085 is not set
+# CONFIG_BMP085_I2C is not set
+# CONFIG_BMP085_SPI is not set
 # CONFIG_PCH_PHUB is not set
 # CONFIG_USB_SWITCH_FSA9480 is not set
 CONFIG_C2PORT=m
@@ -1512,10 +1517,12 @@ CONFIG_EQUALIZER=m
 CONFIG_MII=y
 CONFIG_IEEE802154_DRIVERS=m
 # CONFIG_IEEE802154_FAKEHARD is not set
+# CONFIG_IEEE802154_FAKELB is not set
 CONFIG_IFB=m
 CONFIG_NET_TEAM=m
 CONFIG_NET_TEAM_MODE_ROUNDROBIN=m
 CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=m
+CONFIG_NET_TEAM_MODE_LOADBALANCE=m
 CONFIG_MACVLAN=m
 CONFIG_MACVTAP=m
 # CONFIG_NETCONSOLE is not set
@@ -1661,6 +1668,12 @@ CONFIG_NET_VENDOR_TI=y
 CONFIG_NET_VENDOR_VIA=y
 # CONFIG_VIA_RHINE is not set
 # CONFIG_VIA_VELOCITY is not set
+CONFIG_NET_VENDOR_WIZNET=y
+CONFIG_WIZNET_W5100=m
+CONFIG_WIZNET_W5300=m
+# CONFIG_WIZNET_BUS_DIRECT is not set
+# CONFIG_WIZNET_BUS_INDIRECT is not set
+CONFIG_WIZNET_BUS_ANY=y
 # CONFIG_FDDI is not set
 CONFIG_HIPPI=y
 CONFIG_ROADRUNNER=m
@@ -1686,15 +1699,10 @@ CONFIG_PHYLIB=m
 # CONFIG_LSI_ET1011C_PHY is not set
 # CONFIG_MICREL_PHY is not set
 # CONFIG_MDIO_BITBANG is not set
+# CONFIG_MDIO_BUS_MUX_GPIO is not set
 CONFIG_MICREL_KS8995MA=m
 # CONFIG_PPP is not set
 # CONFIG_SLIP is not set
-CONFIG_TR=y
-CONFIG_WANT_LLC=y
-# CONFIG_IBMOL is not set
-# CONFIG_IBMLS is not set
-# CONFIG_3C359 is not set
-# CONFIG_TMS380TR is not set
 
 #
 # USB Network Adapters
@@ -1821,19 +1829,13 @@ CONFIG_RTL8192CU=m
 CONFIG_RTLWIFI=m
 # CONFIG_RTLWIFI_DEBUG is not set
 CONFIG_RTL8192C_COMMON=m
-CONFIG_WL1251=m
-CONFIG_WL1251_SPI=m
-CONFIG_WL1251_SDIO=m
-CONFIG_WL12XX_MENU=m
-CONFIG_WL12XX=m
-CONFIG_WL12XX_SPI=m
-CONFIG_WL12XX_SDIO=m
-CONFIG_WL12XX_PLATFORM_DATA=y
+# CONFIG_WL_TI is not set
 CONFIG_ZD1211RW=m
 # CONFIG_ZD1211RW_DEBUG is not set
 CONFIG_MWIFIEX=m
 CONFIG_MWIFIEX_SDIO=m
 CONFIG_MWIFIEX_PCIE=m
+# CONFIG_MWIFIEX_USB is not set
 
 #
 # WiMAX Wireless Broadband devices
@@ -1851,10 +1853,10 @@ CONFIG_WIMAX_I2400M_DEBUG_LEVEL=8
 # Input device support
 #
 CONFIG_INPUT=y
-CONFIG_INPUT_OF_MATRIX_KEYMAP=y
 CONFIG_INPUT_FF_MEMLESS=m
 CONFIG_INPUT_POLLDEV=m
 # CONFIG_INPUT_SPARSEKMAP is not set
+CONFIG_INPUT_MATRIXKMAP=m
 
 #
 # Userland interfaces
@@ -1882,6 +1884,7 @@ CONFIG_KEYBOARD_ATKBD=y
 CONFIG_KEYBOARD_TCA8418=m
 # CONFIG_KEYBOARD_MATRIX is not set
 # CONFIG_KEYBOARD_LM8323 is not set
+# CONFIG_KEYBOARD_LM8333 is not set
 # CONFIG_KEYBOARD_MAX7359 is not set
 # CONFIG_KEYBOARD_MCS is not set
 # CONFIG_KEYBOARD_MPR121 is not set
@@ -1899,7 +1902,6 @@ CONFIG_MOUSE_PS2=y
 CONFIG_MOUSE_PS2_ALPS=y
 CONFIG_MOUSE_PS2_LOGIPS2PP=y
 CONFIG_MOUSE_PS2_SYNAPTICS=y
-# CONFIG_MOUSE_PS2_SYNAPTICS_LED is not set
 CONFIG_MOUSE_PS2_TRACKPOINT=y
 # CONFIG_MOUSE_PS2_ELANTECH is not set
 # CONFIG_MOUSE_PS2_SENTELIC is not set
@@ -1968,6 +1970,7 @@ CONFIG_TOUCHSCREEN_GUNZE=m
 CONFIG_TOUCHSCREEN_ELO=m
 CONFIG_TOUCHSCREEN_ELOUSB=m
 CONFIG_TOUCHSCREEN_WACOM_W8001=m
+# CONFIG_TOUCHSCREEN_WACOM_I2C is not set
 CONFIG_TOUCHSCREEN_MAX11801=m
 CONFIG_TOUCHSCREEN_MCS5000=m
 CONFIG_TOUCHSCREEN_MTOUCH=m
@@ -2051,7 +2054,6 @@ CONFIG_GAMEPORT_FM801=m
 CONFIG_VT=y
 CONFIG_CONSOLE_TRANSLATIONS=y
 CONFIG_VT_CONSOLE=y
-CONFIG_VT_CONSOLE_SLEEP=y
 CONFIG_HW_CONSOLE=y
 # CONFIG_VT_HW_CONSOLE_BINDING is not set
 CONFIG_UNIX98_PTYS=y
@@ -2075,6 +2077,7 @@ CONFIG_SERIAL_8250_NR_UARTS=4
 CONFIG_SERIAL_8250_RUNTIME_UARTS=4
 # CONFIG_SERIAL_8250_EXTENDED is not set
 # CONFIG_SERIAL_8250_DW is not set
+# CONFIG_SERIAL_8250_EM is not set
 
 #
 # Non-8250 serial port support
@@ -2098,6 +2101,7 @@ CONFIG_VIRTIO_CONSOLE=m
 # CONFIG_IPMI_HANDLER is not set
 CONFIG_HW_RANDOM=m
 # CONFIG_HW_RANDOM_TIMERIOMEM is not set
+# CONFIG_HW_RANDOM_ATMEL is not set
 # CONFIG_HW_RANDOM_VIRTIO is not set
 # CONFIG_R3964 is not set
 # CONFIG_APPLICOM is not set
@@ -2105,7 +2109,6 @@ CONFIG_RAW_DRIVER=m
 CONFIG_MAX_RAW_DEVS=256
 # CONFIG_TCG_TPM is not set
 CONFIG_DEVPORT=y
-# CONFIG_RAMOOPS is not set
 # CONFIG_CRASHER is not set
 CONFIG_I2C=y
 CONFIG_I2C_BOARDINFO=y
@@ -2234,8 +2237,10 @@ CONFIG_PINCONF=y
 CONFIG_PINCTRL_TEGRA=y
 CONFIG_PINCTRL_TEGRA20=y
 CONFIG_PINCTRL_TEGRA30=y
+CONFIG_ARCH_HAVE_CUSTOM_GPIO_H=y
 CONFIG_ARCH_REQUIRE_GPIOLIB=y
 CONFIG_GPIOLIB=y
+CONFIG_OF_GPIO=y
 # CONFIG_DEBUG_GPIO is not set
 # CONFIG_GPIO_SYSFS is not set
 
@@ -2243,6 +2248,7 @@ CONFIG_GPIOLIB=y
 # Memory mapped GPIO drivers:
 #
 # CONFIG_GPIO_GENERIC_PLATFORM is not set
+CONFIG_GPIO_EM=m
 # CONFIG_GPIO_VX855 is not set
 
 #
@@ -2277,7 +2283,7 @@ CONFIG_GPIO_STMPE=y
 # MODULbus GPIO expanders:
 #
 # CONFIG_W1 is not set
-CONFIG_POWER_SUPPLY=m
+CONFIG_POWER_SUPPLY=y
 # CONFIG_POWER_SUPPLY_DEBUG is not set
 # CONFIG_PDA_POWER is not set
 # CONFIG_TEST_POWER is not set
@@ -2380,6 +2386,7 @@ CONFIG_SENSORS_MCP3021=m
 # CONFIG_SENSORS_ADS7828 is not set
 # CONFIG_SENSORS_ADS7871 is not set
 # CONFIG_SENSORS_AMC6821 is not set
+# CONFIG_SENSORS_INA2XX is not set
 # CONFIG_SENSORS_THMC50 is not set
 # CONFIG_SENSORS_TMP102 is not set
 # CONFIG_SENSORS_TMP401 is not set
@@ -2409,6 +2416,7 @@ CONFIG_SOFT_WATCHDOG=m
 # CONFIG_MPCORE_WATCHDOG is not set
 # CONFIG_MAX63XX_WATCHDOG is not set
 # CONFIG_ALIM7101_WDT is not set
+# CONFIG_I6300ESB_WDT is not set
 
 #
 # PCI-based Watchdog Cards
@@ -2443,6 +2451,7 @@ CONFIG_MFD_CORE=y
 # CONFIG_HTC_EGPIO is not set
 # CONFIG_HTC_PASIC3 is not set
 # CONFIG_HTC_I2CPLD is not set
+# CONFIG_MFD_LM3533 is not set
 # CONFIG_TPS6105X is not set
 # CONFIG_TPS65010 is not set
 # CONFIG_TPS6507X is not set
@@ -2469,6 +2478,7 @@ CONFIG_STMPE_I2C=y
 # CONFIG_MFD_DA9052_SPI is not set
 # CONFIG_MFD_DA9052_I2C is not set
 # CONFIG_PMIC_ADP5520 is not set
+# CONFIG_MFD_MAX77693 is not set
 # CONFIG_MFD_MAX8925 is not set
 # CONFIG_MFD_MAX8997 is not set
 # CONFIG_MFD_MAX8998 is not set
@@ -2479,11 +2489,13 @@ CONFIG_STMPE_I2C=y
 # CONFIG_MFD_WM8350_I2C is not set
 # CONFIG_MFD_WM8994 is not set
 # CONFIG_MFD_PCF50633 is not set
-# CONFIG_MFD_MC13XXX is not set
+# CONFIG_MFD_MC13XXX_SPI is not set
+# CONFIG_MFD_MC13XXX_I2C is not set
 # CONFIG_ABX500_CORE is not set
 # CONFIG_EZX_PCAP is not set
 # CONFIG_MFD_TIMBERDALE is not set
 # CONFIG_LPC_SCH is not set
+# CONFIG_LPC_ICH is not set
 # CONFIG_MFD_RDC321X is not set
 # CONFIG_MFD_JANZ_CMODIO is not set
 # CONFIG_MFD_VX855 is not set
@@ -2491,6 +2503,7 @@ CONFIG_MFD_WL1273_CORE=m
 # CONFIG_MFD_TPS65090 is not set
 # CONFIG_MFD_AAT2870_CORE is not set
 # CONFIG_MFD_RC5T583 is not set
+# CONFIG_MFD_PALMAS is not set
 CONFIG_REGULATOR=y
 # CONFIG_REGULATOR_DEBUG is not set
 # CONFIG_REGULATOR_DUMMY is not set
@@ -2573,7 +2586,9 @@ CONFIG_MEDIA_TUNER_MXL5007T=m
 CONFIG_MEDIA_TUNER_MC44S803=m
 CONFIG_MEDIA_TUNER_MAX2165=m
 CONFIG_MEDIA_TUNER_TDA18218=m
+CONFIG_MEDIA_TUNER_FC0011=m
 CONFIG_MEDIA_TUNER_TDA18212=m
+CONFIG_MEDIA_TUNER_TUA9001=m
 CONFIG_VIDEO_V4L2=m
 CONFIG_VIDEOBUF_GEN=m
 CONFIG_VIDEOBUF_DMA_SG=m
@@ -2667,6 +2682,7 @@ CONFIG_VIDEO_UPD64083=m
 CONFIG_VIDEO_M52790=m
 CONFIG_VIDEO_VIVI=m
 CONFIG_V4L_USB_DRIVERS=y
+# CONFIG_VIDEO_AU0828 is not set
 CONFIG_USB_VIDEO_CLASS=m
 CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=y
 CONFIG_USB_GSPCA=m
@@ -2724,7 +2740,7 @@ CONFIG_VIDEO_HDPVR=m
 CONFIG_VIDEO_EM28XX=m
 CONFIG_VIDEO_EM28XX_ALSA=m
 CONFIG_VIDEO_EM28XX_DVB=m
-CONFIG_VIDEO_EM28XX_RC=y
+CONFIG_VIDEO_EM28XX_RC=m
 CONFIG_VIDEO_TLG2300=m
 CONFIG_VIDEO_CX231XX=m
 CONFIG_VIDEO_CX231XX_RC=y
@@ -2734,7 +2750,6 @@ CONFIG_VIDEO_TM6000=m
 CONFIG_VIDEO_TM6000_ALSA=m
 CONFIG_VIDEO_TM6000_DVB=m
 CONFIG_VIDEO_USBVISION=m
-CONFIG_USB_ET61X251=m
 CONFIG_USB_SN9C102=m
 CONFIG_USB_PWC=m
 CONFIG_USB_PWC_DEBUG=y
@@ -2744,7 +2759,6 @@ CONFIG_USB_ZR364XX=m
 CONFIG_USB_STKWEBCAM=m
 CONFIG_USB_S2255=m
 CONFIG_V4L_PCI_DRIVERS=y
-# CONFIG_VIDEO_AU0828 is not set
 CONFIG_VIDEO_BT848=m
 CONFIG_VIDEO_BT848_DVB=y
 CONFIG_VIDEO_CX18=m
@@ -2876,6 +2890,7 @@ CONFIG_DVB_USB_TECHNISAT_USB2=m
 CONFIG_DVB_USB_IT913X=m
 CONFIG_DVB_USB_MXL111SF=m
 CONFIG_DVB_USB_RTL28XXU=m
+CONFIG_DVB_USB_AF9035=m
 # CONFIG_DVB_TTUSB_BUDGET is not set
 # CONFIG_DVB_TTUSB_DEC is not set
 CONFIG_SMS_SIANO_MDTV=m
@@ -3018,6 +3033,7 @@ CONFIG_DVB_OR51132=m
 CONFIG_DVB_BCM3510=m
 CONFIG_DVB_LGDT330X=m
 CONFIG_DVB_LGDT3305=m
+CONFIG_DVB_LG2160=m
 CONFIG_DVB_S5H1409=m
 CONFIG_DVB_S5H1411=m
 
@@ -3050,6 +3066,7 @@ CONFIG_DVB_TDA665x=m
 CONFIG_DVB_IX2505V=m
 CONFIG_DVB_IT913X_FE=m
 CONFIG_DVB_M88RS2000=m
+CONFIG_DVB_AF9033=m
 
 #
 # Tools to develop new frontends
@@ -3082,6 +3099,9 @@ CONFIG_DRM_VIA=m
 CONFIG_DRM_SAVAGE=m
 # CONFIG_DRM_VMWGFX is not set
 CONFIG_DRM_UDL=m
+# CONFIG_DRM_AST is not set
+# CONFIG_DRM_MGAG200 is not set
+CONFIG_DRM_CIRRUS_QEMU=m
 CONFIG_STUB_POULSBO=m
 CONFIG_VGASTATE=m
 # CONFIG_VIDEO_OUTPUT_CONTROL is not set
@@ -3143,6 +3163,7 @@ CONFIG_FB_NVIDIA_BACKLIGHT=y
 # CONFIG_FB_METRONOME is not set
 # CONFIG_FB_MB862XX is not set
 # CONFIG_FB_BROADSHEET is not set
+# CONFIG_FB_AUO_K190X is not set
 # CONFIG_EXYNOS_VIDEO is not set
 CONFIG_BACKLIGHT_LCD_SUPPORT=y
 CONFIG_LCD_CLASS_DEVICE=m
@@ -3293,8 +3314,12 @@ CONFIG_SND_USB=y
 # CONFIG_SND_USB_6FIRE is not set
 CONFIG_SND_SOC=m
 CONFIG_SND_SOC_TEGRA=m
-CONFIG_SND_SOC_TEGRA_I2S=m
-CONFIG_SND_SOC_TEGRA_SPDIF=m
+CONFIG_SND_SOC_TEGRA20_DAS=m
+CONFIG_SND_SOC_TEGRA20_I2S=m
+CONFIG_SND_SOC_TEGRA20_SPDIF=m
+CONFIG_SND_SOC_TEGRA30_AHUB=m
+CONFIG_SND_SOC_TEGRA30_I2S=m
+CONFIG_SND_SOC_TEGRA_WM8753=m
 CONFIG_MACH_HAS_SND_SOC_TEGRA_WM8903=y
 CONFIG_SND_SOC_TEGRA_WM8903=m
 CONFIG_SND_SOC_TEGRA_TRIMSLICE=m
@@ -3303,10 +3328,13 @@ CONFIG_SND_SOC_I2C_AND_SPI=m
 # CONFIG_SND_SOC_ALL_CODECS is not set
 CONFIG_SND_SOC_ALC5632=m
 CONFIG_SND_SOC_TLV320AIC23=m
+CONFIG_SND_SOC_WM8753=m
 CONFIG_SND_SOC_WM8903=m
+# CONFIG_SND_SIMPLE_CARD is not set
 CONFIG_SOUND_PRIME=m
 CONFIG_HID_SUPPORT=y
 CONFIG_HID=y
+# CONFIG_HID_BATTERY_STRENGTH is not set
 # CONFIG_HIDRAW is not set
 
 #
@@ -3319,9 +3347,11 @@ CONFIG_USB_HID=m
 #
 # Special HID drivers
 #
+CONFIG_HID_GENERIC=y
 CONFIG_HID_A4TECH=m
 # CONFIG_HID_ACRUX is not set
 CONFIG_HID_APPLE=m
+# CONFIG_HID_AUREAL is not set
 CONFIG_HID_BELKIN=m
 CONFIG_HID_CHERRY=m
 CONFIG_HID_CHICONY=m
@@ -3384,8 +3414,6 @@ CONFIG_USB=m
 #
 # Miscellaneous USB options
 #
-# CONFIG_USB_DEVICEFS is not set
-CONFIG_USB_DEVICE_CLASS=y
 # CONFIG_USB_DYNAMIC_MINORS is not set
 # CONFIG_USB_SUSPEND is not set
 # CONFIG_USB_DWC3 is not set
@@ -3416,6 +3444,7 @@ CONFIG_USB_OHCI_LITTLE_ENDIAN=y
 # CONFIG_USB_SL811_HCD is not set
 # CONFIG_USB_R8A66597_HCD is not set
 # CONFIG_USB_MUSB_HDRC is not set
+# CONFIG_USB_CHIPIDEA is not set
 # CONFIG_USB_RENESAS_USBHS is not set
 
 #
@@ -3471,22 +3500,29 @@ CONFIG_USB_WDM=m
 # CONFIG_USB_TEST is not set
 # CONFIG_USB_ISIGHTFW is not set
 # CONFIG_USB_YUREX is not set
+
+#
+# USB Physical Layer drivers
+#
+# CONFIG_USB_ISP1301 is not set
 CONFIG_USB_GADGET=m
 # CONFIG_USB_GADGET_DEBUG is not set
 # CONFIG_USB_GADGET_DEBUG_FILES is not set
 # CONFIG_USB_GADGET_DEBUG_FS is not set
 CONFIG_USB_GADGET_VBUS_DRAW=2
 CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=2
+
+#
+# USB Peripheral Controller
+#
 # CONFIG_USB_FUSB300 is not set
 # CONFIG_USB_R8A66597 is not set
 # CONFIG_USB_MV_UDC is not set
 # CONFIG_USB_M66592 is not set
 # CONFIG_USB_AMD5536UDC is not set
-# CONFIG_USB_CI13XXX_PCI is not set
 # CONFIG_USB_NET2272 is not set
 # CONFIG_USB_NET2280 is not set
 # CONFIG_USB_GOKU is not set
-# CONFIG_USB_LANGWELL is not set
 # CONFIG_USB_EG20T is not set
 # CONFIG_USB_DUMMY_HCD is not set
 # CONFIG_USB_ZERO is not set
@@ -3568,7 +3604,6 @@ CONFIG_LEDS_CLASS=m
 # CONFIG_LEDS_REGULATOR is not set
 # CONFIG_LEDS_BD2802 is not set
 # CONFIG_LEDS_LT3593 is not set
-# CONFIG_LEDS_RENESAS_TPU is not set
 # CONFIG_LEDS_TCA6507 is not set
 # CONFIG_LEDS_OT200 is not set
 CONFIG_LEDS_TRIGGERS=y
@@ -3585,6 +3620,7 @@ CONFIG_LEDS_TRIGGERS=y
 #
 # iptables trigger is under Netfilter config (LED target)
 #
+# CONFIG_LEDS_TRIGGER_TRANSIENT is not set
 # CONFIG_ACCESSIBILITY is not set
 # CONFIG_INFINIBAND is not set
 CONFIG_RTC_LIB=y
@@ -3686,6 +3722,7 @@ CONFIG_VIRTIO_RING=m
 # CONFIG_VIRTIO_PCI is not set
 CONFIG_VIRTIO_BALLOON=m
 CONFIG_VIRTIO_MMIO=m
+# CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES is not set
 
 #
 # Microsoft Hyper-V guest support
@@ -3707,9 +3744,7 @@ CONFIG_ECHO=m
 # CONFIG_LINE6_USB is not set
 # CONFIG_VT6655 is not set
 # CONFIG_VT6656 is not set
-# CONFIG_VME_BUS is not set
 # CONFIG_DX_SEP is not set
-# CONFIG_IIO is not set
 # CONFIG_FB_SM7XX is not set
 # CONFIG_CRYSTALHD is not set
 # CONFIG_FB_XGI is not set
@@ -3744,6 +3779,8 @@ CONFIG_STAGING_MEDIA=y
 CONFIG_PHONE=m
 CONFIG_PHONE_IXJ=m
 # CONFIG_USB_WPAN_HCD is not set
+# CONFIG_IPACK_BUS is not set
+# CONFIG_WIMAX_GDM72XX is not set
 CONFIG_CLKDEV_LOOKUP=y
 
 #
@@ -3764,6 +3801,10 @@ CONFIG_TEGRA_IOMMU_SMMU=y
 #
 CONFIG_VIRT_DRIVERS=y
 # CONFIG_PM_DEVFREQ is not set
+# CONFIG_EXTCON is not set
+# CONFIG_MEMORY is not set
+# CONFIG_IIO is not set
+# CONFIG_VME_BUS is not set
 
 #
 # File systems
@@ -3914,12 +3955,14 @@ CONFIG_ROMFS_BACKED_BY_BLOCK=y
 # CONFIG_ROMFS_BACKED_BY_BOTH is not set
 CONFIG_ROMFS_ON_BLOCK=y
 CONFIG_PSTORE=y
+# CONFIG_PSTORE_RAM is not set
 CONFIG_SYSV_FS=m
 CONFIG_UFS_FS=m
 # CONFIG_UFS_FS_WRITE is not set
 # CONFIG_UFS_DEBUG is not set
 CONFIG_NETWORK_FILESYSTEMS=y
 CONFIG_NFS_FS=m
+CONFIG_NFS_V2=y
 CONFIG_NFS_V3=y
 CONFIG_NFS_V3_ACL=y
 CONFIG_NFS_V4=y
@@ -4004,6 +4047,17 @@ CONFIG_NLS_ISO8859_14=m
 CONFIG_NLS_ISO8859_15=m
 CONFIG_NLS_KOI8_R=m
 CONFIG_NLS_KOI8_U=m
+# CONFIG_NLS_MAC_ROMAN is not set
+# CONFIG_NLS_MAC_CELTIC is not set
+# CONFIG_NLS_MAC_CENTEURO is not set
+# CONFIG_NLS_MAC_CROATIAN is not set
+# CONFIG_NLS_MAC_CYRILLIC is not set
+# CONFIG_NLS_MAC_GAELIC is not set
+# CONFIG_NLS_MAC_GREEK is not set
+# CONFIG_NLS_MAC_ICELAND is not set
+# CONFIG_NLS_MAC_INUIT is not set
+# CONFIG_NLS_MAC_ROMANIAN is not set
+# CONFIG_NLS_MAC_TURKISH is not set
 CONFIG_NLS_UTF8=m
 CONFIG_DLM=m
 CONFIG_DLM_DEBUG=y
@@ -4018,6 +4072,7 @@ CONFIG_ENABLE_MUST_CHECK=y
 CONFIG_FRAME_WARN=1024
 CONFIG_MAGIC_SYSRQ=y
 CONFIG_STRIP_ASM_SYMS=y
+# CONFIG_READABLE_ASM is not set
 CONFIG_UNUSED_SYMBOLS=y
 CONFIG_DEBUG_FS=y
 # CONFIG_HEADERS_CHECK is not set
@@ -4026,6 +4081,8 @@ CONFIG_DEBUG_KERNEL=y
 # CONFIG_DEBUG_SHIRQ is not set
 # CONFIG_LOCKUP_DETECTOR is not set
 # CONFIG_HARDLOCKUP_DETECTOR is not set
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=0
 CONFIG_DETECT_HUNG_TASK=y
 CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=120
 # CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
@@ -4099,6 +4156,7 @@ CONFIG_BRANCH_PROFILE_NONE=y
 # CONFIG_STACK_TRACER is not set
 CONFIG_BLK_DEV_IO_TRACE=y
 CONFIG_KPROBE_EVENT=y
+CONFIG_PROBE_EVENTS=y
 # CONFIG_FTRACE_STARTUP_TEST is not set
 # CONFIG_RING_BUFFER_BENCHMARK is not set
 CONFIG_DYNAMIC_DEBUG=y
@@ -4220,7 +4278,7 @@ CONFIG_CRYPTO_VMAC=m
 #
 # Digest
 #
-CONFIG_CRYPTO_CRC32C=m
+CONFIG_CRYPTO_CRC32C=y
 CONFIG_CRYPTO_GHASH=m
 CONFIG_CRYPTO_MD4=m
 CONFIG_CRYPTO_MD5=m
@@ -4329,3 +4387,4 @@ CONFIG_NLATTR=y
 CONFIG_LRU_CACHE=m
 CONFIG_AVERAGE=y
 CONFIG_CORDIC=m
+# CONFIG_DDR is not set
diff --git a/config/armv7hl/u8500 b/config/armv7hl/u8500
index 30be80b..ab5503b 100644
--- a/config/armv7hl/u8500
+++ b/config/armv7hl/u8500
@@ -1,23 +1,16 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm 3.4.0 Kernel Configuration
+# Linux/arm 3.5.0-rc3 Kernel Configuration
 #
 CONFIG_ARM=y
 CONFIG_SYS_SUPPORTS_APM_EMULATION=y
 CONFIG_GENERIC_GPIO=y
-# CONFIG_ARCH_USES_GETTIMEOFFSET is not set
-CONFIG_GENERIC_CLOCKEVENTS=y
-CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=y
-CONFIG_KTIME_SCALAR=y
 CONFIG_HAVE_PROC_CPU=y
 CONFIG_STACKTRACE_SUPPORT=y
 CONFIG_LOCKDEP_SUPPORT=y
 CONFIG_TRACE_IRQFLAGS_SUPPORT=y
-CONFIG_HARDIRQS_SW_RESEND=y
-CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_RWSEM_GENERIC_SPINLOCK=y
 CONFIG_ARCH_HAS_CPUFREQ=y
-CONFIG_ARCH_HAS_CPU_IDLE_WAIT=y
 CONFIG_GENERIC_HWEIGHT=y
 CONFIG_GENERIC_CALIBRATE_DELAY=y
 CONFIG_NEED_DMA_MAP_STATE=y
@@ -72,9 +65,22 @@ CONFIG_HAVE_GENERIC_HARDIRQS=y
 # IRQ subsystem
 #
 CONFIG_GENERIC_HARDIRQS=y
+CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_GENERIC_IRQ_SHOW=y
+CONFIG_HARDIRQS_SW_RESEND=y
 CONFIG_IRQ_DOMAIN=y
 # CONFIG_IRQ_DOMAIN_DEBUG is not set
+CONFIG_KTIME_SCALAR=y
+CONFIG_GENERIC_CLOCKEVENTS=y
+CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
+CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=y
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=y
+CONFIG_NO_HZ=y
+CONFIG_HIGH_RES_TIMERS=y
 
 #
 # RCU Subsystem
@@ -82,6 +88,7 @@ CONFIG_IRQ_DOMAIN=y
 CONFIG_TREE_RCU=y
 # CONFIG_PREEMPT_RCU is not set
 CONFIG_RCU_FANOUT=32
+CONFIG_RCU_FANOUT_LEAF=16
 # CONFIG_RCU_FANOUT_EXACT is not set
 # CONFIG_RCU_FAST_NO_HZ is not set
 # CONFIG_TREE_RCU_TRACE is not set
@@ -111,7 +118,6 @@ CONFIG_BLK_CGROUP=y
 CONFIG_NAMESPACES=y
 CONFIG_UTS_NS=y
 CONFIG_IPC_NS=y
-CONFIG_USER_NS=y
 CONFIG_PID_NS=y
 CONFIG_NET_NS=y
 # CONFIG_SCHED_AUTOGROUP is not set
@@ -153,7 +159,6 @@ CONFIG_PERF_USE_VMALLOC=y
 # Kernel Performance Events And Counters
 #
 CONFIG_PERF_EVENTS=y
-CONFIG_PERF_COUNTERS=y
 # CONFIG_DEBUG_PERF_USE_VMALLOC is not set
 CONFIG_VM_EVENT_COUNTERS=y
 # CONFIG_COMPAT_BRK is not set
@@ -168,7 +173,11 @@ CONFIG_JUMP_LABEL=y
 CONFIG_KRETPROBES=y
 CONFIG_HAVE_KPROBES=y
 CONFIG_HAVE_KRETPROBES=y
+CONFIG_HAVE_ARCH_TRACEHOOK=y
+CONFIG_HAVE_DMA_ATTRS=y
+CONFIG_HAVE_DMA_CONTIGUOUS=y
 CONFIG_USE_GENERIC_SMP_HELPERS=y
+CONFIG_GENERIC_SMP_IDLE_THREAD=y
 CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=y
 CONFIG_HAVE_CLK=y
 CONFIG_HAVE_DMA_API_DEBUG=y
@@ -286,8 +295,6 @@ CONFIG_MMU=y
 # CONFIG_ARCH_IOP13XX is not set
 # CONFIG_ARCH_IOP32X is not set
 # CONFIG_ARCH_IOP33X is not set
-# CONFIG_ARCH_IXP23XX is not set
-# CONFIG_ARCH_IXP2000 is not set
 # CONFIG_ARCH_IXP4XX is not set
 # CONFIG_ARCH_DOVE is not set
 # CONFIG_ARCH_KIRKWOOD is not set
@@ -324,12 +331,7 @@ CONFIG_ARCH_U8500=y
 # CONFIG_KEYBOARD_GPIO_POLLED is not set
 CONFIG_PLAT_NOMADIK=y
 CONFIG_HAS_MTU=y
-
-#
-# System MMU
-#
 CONFIG_UX500_SOC_COMMON=y
-CONFIG_UX500_SOC_DB5500=y
 CONFIG_UX500_SOC_DB8500=y
 
 #
@@ -338,11 +340,9 @@ CONFIG_UX500_SOC_DB8500=y
 CONFIG_MACH_MOP500=y
 CONFIG_MACH_HREFV60=y
 CONFIG_MACH_SNOWBALL=y
-CONFIG_MACH_U5500=y
+CONFIG_UX500_AUTO_PLATFORM=y
 CONFIG_MACH_UX500_DT=y
 CONFIG_UX500_DEBUG_UART=2
-CONFIG_U5500_MODEM_IRQ=y
-CONFIG_U5500_MBOX=y
 
 #
 # Processor Type
@@ -410,10 +410,6 @@ CONFIG_ARM_AMBA=y
 #
 # Kernel Features
 #
-CONFIG_TICK_ONESHOT=y
-CONFIG_NO_HZ=y
-CONFIG_HIGH_RES_TIMERS=y
-CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
 CONFIG_HAVE_SMP=y
 CONFIG_SMP=y
 CONFIG_SMP_ON_UP=y
@@ -421,6 +417,7 @@ CONFIG_ARM_CPU_TOPOLOGY=y
 # CONFIG_SCHED_MC is not set
 # CONFIG_SCHED_SMT is not set
 CONFIG_HAVE_ARM_SCU=y
+# CONFIG_ARM_ARCH_TIMER is not set
 CONFIG_HAVE_ARM_TWD=y
 CONFIG_VMSPLIT_3G=y
 # CONFIG_VMSPLIT_2G is not set
@@ -458,6 +455,7 @@ CONFIG_BOUNCE=y
 CONFIG_VIRT_TO_BUS=y
 # CONFIG_KSM is not set
 CONFIG_DEFAULT_MMAP_MIN_ADDR=4096
+CONFIG_CROSS_MEMORY_ATTACH=y
 CONFIG_CLEANCACHE=y
 # CONFIG_FRONTSWAP is not set
 CONFIG_FORCE_MAX_ZONEORDER=11
@@ -546,6 +544,8 @@ CONFIG_SUSPEND=y
 CONFIG_SUSPEND_FREEZER=y
 CONFIG_PM_SLEEP=y
 CONFIG_PM_SLEEP_SMP=y
+# CONFIG_PM_AUTOSLEEP is not set
+# CONFIG_PM_WAKELOCKS is not set
 CONFIG_PM_RUNTIME=y
 CONFIG_PM=y
 # CONFIG_PM_DEBUG is not set
@@ -563,6 +563,7 @@ CONFIG_PACKET=m
 CONFIG_UNIX=y
 CONFIG_UNIX_DIAG=m
 CONFIG_XFRM=y
+CONFIG_XFRM_ALGO=m
 CONFIG_XFRM_USER=m
 CONFIG_XFRM_SUB_POLICY=y
 CONFIG_XFRM_MIGRATE=y
@@ -705,6 +706,7 @@ CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=m
 CONFIG_NETFILTER_XT_TARGET_CT=m
 CONFIG_NETFILTER_XT_TARGET_DSCP=m
 CONFIG_NETFILTER_XT_TARGET_HL=m
+CONFIG_NETFILTER_XT_TARGET_HMARK=m
 CONFIG_NETFILTER_XT_TARGET_IDLETIMER=m
 # CONFIG_NETFILTER_XT_TARGET_LED is not set
 CONFIG_NETFILTER_XT_TARGET_LOG=m
@@ -865,7 +867,6 @@ CONFIG_IP_NF_ARP_MANGLE=m
 #
 CONFIG_NF_DEFRAG_IPV6=m
 CONFIG_NF_CONNTRACK_IPV6=m
-CONFIG_IP6_NF_QUEUE=m
 CONFIG_IP6_NF_IPTABLES=m
 CONFIG_IP6_NF_MATCH_AH=m
 CONFIG_IP6_NF_MATCH_EUI64=m
@@ -930,11 +931,11 @@ CONFIG_LLC=m
 # CONFIG_ATALK is not set
 # CONFIG_X25 is not set
 # CONFIG_LAPB is not set
-# CONFIG_ECONET is not set
 # CONFIG_WAN_ROUTER is not set
 CONFIG_PHONET=m
 CONFIG_IEEE802154=m
 CONFIG_IEEE802154_6LOWPAN=m
+CONFIG_MAC802154=m
 CONFIG_NET_SCHED=y
 
 #
@@ -957,6 +958,8 @@ CONFIG_NET_SCH_DRR=m
 CONFIG_NET_SCH_MQPRIO=m
 CONFIG_NET_SCH_CHOKE=m
 CONFIG_NET_SCH_QFQ=m
+CONFIG_NET_SCH_CODEL=m
+CONFIG_NET_SCH_FQ_CODEL=m
 CONFIG_NET_SCH_INGRESS=m
 CONFIG_NET_SCH_PLUG=m
 
@@ -992,6 +995,7 @@ CONFIG_NET_SCH_FIFO=y
 CONFIG_DCB=y
 CONFIG_DNS_RESOLVER=y
 CONFIG_BATMAN_ADV=m
+CONFIG_BATMAN_ADV_BLA=y
 CONFIG_BATMAN_ADV_DEBUG=y
 CONFIG_OPENVSWITCH=m
 CONFIG_RPS=y
@@ -999,7 +1003,6 @@ CONFIG_RFS_ACCEL=y
 CONFIG_XPS=y
 CONFIG_NETPRIO_CGROUP=m
 CONFIG_BQL=y
-CONFIG_HAVE_BPF_JIT=y
 CONFIG_BPF_JIT=y
 
 #
@@ -1110,6 +1113,7 @@ CONFIG_CEPH_LIB_PRETTYDEBUG=y
 # CONFIG_CEPH_LIB_USE_DNS_RESOLVER is not set
 CONFIG_NFC=m
 CONFIG_NFC_NCI=m
+# CONFIG_NFC_HCI is not set
 CONFIG_NFC_LLCP=y
 
 #
@@ -1118,6 +1122,7 @@ CONFIG_NFC_LLCP=y
 CONFIG_PN544_NFC=m
 CONFIG_NFC_PN533=m
 # CONFIG_NFC_WILINK is not set
+CONFIG_HAVE_BPF_JIT=y
 
 #
 # Device Drivers
@@ -1143,6 +1148,7 @@ CONFIG_REGMAP=y
 CONFIG_REGMAP_I2C=y
 CONFIG_REGMAP_SPI=m
 CONFIG_DMA_SHARED_BUFFER=y
+# CONFIG_CMA is not set
 CONFIG_CONNECTOR=y
 CONFIG_PROC_EVENTS=y
 # CONFIG_MTD is not set
@@ -1159,10 +1165,8 @@ CONFIG_OF_EARLY_FLATTREE=y
 CONFIG_OF_ADDRESS=y
 CONFIG_OF_IRQ=y
 CONFIG_OF_DEVICE=y
-CONFIG_OF_GPIO=y
 CONFIG_OF_I2C=y
 CONFIG_OF_NET=y
-CONFIG_OF_SPI=y
 CONFIG_OF_MDIO=y
 # CONFIG_PARPORT is not set
 CONFIG_BLK_DEV=y
@@ -1204,7 +1208,8 @@ CONFIG_SENSORS_BH1780=y
 # CONFIG_HMC6352 is not set
 # CONFIG_DS1682 is not set
 # CONFIG_TI_DAC7512 is not set
-# CONFIG_BMP085 is not set
+# CONFIG_BMP085_I2C is not set
+# CONFIG_BMP085_SPI is not set
 # CONFIG_USB_SWITCH_FSA9480 is not set
 CONFIG_C2PORT=m
 
@@ -1281,10 +1286,12 @@ CONFIG_EQUALIZER=m
 CONFIG_MII=y
 CONFIG_IEEE802154_DRIVERS=m
 CONFIG_IEEE802154_FAKEHARD=m
+# CONFIG_IEEE802154_FAKELB is not set
 CONFIG_IFB=m
 CONFIG_NET_TEAM=m
 CONFIG_NET_TEAM_MODE_ROUNDROBIN=m
 CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=m
+CONFIG_NET_TEAM_MODE_LOADBALANCE=m
 CONFIG_MACVLAN=m
 CONFIG_MACVTAP=m
 # CONFIG_NETCONSOLE is not set
@@ -1299,7 +1306,6 @@ CONFIG_VIRTIO_NET=m
 #
 CONFIG_CAIF_TTY=m
 # CONFIG_CAIF_SPI_SLAVE is not set
-# CONFIG_CAIF_SHM is not set
 CONFIG_CAIF_HSI=m
 CONFIG_ETHERNET=y
 CONFIG_NET_VENDOR_BROADCOM=y
@@ -1335,6 +1341,12 @@ CONFIG_SMSC911X=y
 # CONFIG_SMSC911X_ARCH_HOOKS is not set
 CONFIG_NET_VENDOR_STMICRO=y
 # CONFIG_STMMAC_ETH is not set
+CONFIG_NET_VENDOR_WIZNET=y
+CONFIG_WIZNET_W5100=m
+CONFIG_WIZNET_W5300=m
+# CONFIG_WIZNET_BUS_DIRECT is not set
+# CONFIG_WIZNET_BUS_INDIRECT is not set
+CONFIG_WIZNET_BUS_ANY=y
 CONFIG_PHYLIB=y
 
 #
@@ -1357,6 +1369,7 @@ CONFIG_SMSC_PHY=y
 # CONFIG_MICREL_PHY is not set
 # CONFIG_FIXED_PHY is not set
 # CONFIG_MDIO_BITBANG is not set
+# CONFIG_MDIO_BUS_MUX_GPIO is not set
 CONFIG_MICREL_KS8995MA=m
 # CONFIG_PPP is not set
 # CONFIG_SLIP is not set
@@ -1389,6 +1402,7 @@ CONFIG_INPUT=y
 # CONFIG_INPUT_FF_MEMLESS is not set
 CONFIG_INPUT_POLLDEV=m
 # CONFIG_INPUT_SPARSEKMAP is not set
+CONFIG_INPUT_MATRIXKMAP=y
 
 #
 # Userland interfaces
@@ -1416,6 +1430,7 @@ CONFIG_KEYBOARD_GPIO=y
 CONFIG_KEYBOARD_TCA8418=m
 # CONFIG_KEYBOARD_MATRIX is not set
 # CONFIG_KEYBOARD_LM8323 is not set
+# CONFIG_KEYBOARD_LM8333 is not set
 # CONFIG_KEYBOARD_MAX7359 is not set
 # CONFIG_KEYBOARD_MCS is not set
 # CONFIG_KEYBOARD_MPR121 is not set
@@ -1468,6 +1483,7 @@ CONFIG_TOUCHSCREEN_ILI210X=m
 # CONFIG_TOUCHSCREEN_ELO is not set
 # CONFIG_TOUCHSCREEN_ELOUSB is not set
 # CONFIG_TOUCHSCREEN_WACOM_W8001 is not set
+# CONFIG_TOUCHSCREEN_WACOM_I2C is not set
 # CONFIG_TOUCHSCREEN_MAX11801 is not set
 # CONFIG_TOUCHSCREEN_MCS5000 is not set
 # CONFIG_TOUCHSCREEN_MTOUCH is not set
@@ -1551,6 +1567,7 @@ CONFIG_SERIAL_8250_SHARE_IRQ=y
 CONFIG_SERIAL_8250_DETECT_IRQ=y
 CONFIG_SERIAL_8250_RSA=y
 # CONFIG_SERIAL_8250_DW is not set
+# CONFIG_SERIAL_8250_EM is not set
 
 #
 # Non-8250 serial port support
@@ -1574,13 +1591,13 @@ CONFIG_VIRTIO_CONSOLE=m
 # CONFIG_IPMI_HANDLER is not set
 CONFIG_HW_RANDOM=y
 # CONFIG_HW_RANDOM_TIMERIOMEM is not set
+# CONFIG_HW_RANDOM_ATMEL is not set
 CONFIG_HW_RANDOM_VIRTIO=m
 CONFIG_HW_RANDOM_NOMADIK=y
 # CONFIG_R3964 is not set
 CONFIG_RAW_DRIVER=m
 CONFIG_MAX_RAW_DEVS=256
 # CONFIG_TCG_TPM is not set
-# CONFIG_RAMOOPS is not set
 # CONFIG_CRASHER is not set
 CONFIG_I2C=y
 CONFIG_I2C_BOARDINFO=y
@@ -1669,8 +1686,20 @@ CONFIG_PTP_1588_CLOCK=m
 #
 # Enable PHYLIB and NETWORK_PHY_TIMESTAMPING to see the additional clocks.
 #
+CONFIG_PINCTRL=y
+
+#
+# Pin controllers
+#
+CONFIG_PINMUX=y
+CONFIG_PINCONF=y
+# CONFIG_DEBUG_PINCTRL is not set
+CONFIG_PINCTRL_NOMADIK=y
+CONFIG_PINCTRL_DB8500=y
+CONFIG_ARCH_HAVE_CUSTOM_GPIO_H=y
 CONFIG_ARCH_REQUIRE_GPIOLIB=y
 CONFIG_GPIOLIB=y
+CONFIG_OF_GPIO=y
 # CONFIG_DEBUG_GPIO is not set
 # CONFIG_GPIO_SYSFS is not set
 
@@ -1678,6 +1707,7 @@ CONFIG_GPIOLIB=y
 # Memory mapped GPIO drivers:
 #
 # CONFIG_GPIO_GENERIC_PLATFORM is not set
+CONFIG_GPIO_EM=m
 # CONFIG_GPIO_PL061 is not set
 
 #
@@ -1795,6 +1825,7 @@ CONFIG_SENSORS_MCP3021=m
 # CONFIG_SENSORS_ADS7828 is not set
 # CONFIG_SENSORS_ADS7871 is not set
 # CONFIG_SENSORS_AMC6821 is not set
+# CONFIG_SENSORS_INA2XX is not set
 # CONFIG_SENSORS_THMC50 is not set
 # CONFIG_SENSORS_TMP102 is not set
 # CONFIG_SENSORS_TMP401 is not set
@@ -1851,6 +1882,7 @@ CONFIG_MFD_CORE=y
 # CONFIG_HTC_PASIC3 is not set
 # CONFIG_HTC_I2CPLD is not set
 # CONFIG_UCB1400_CORE is not set
+# CONFIG_MFD_LM3533 is not set
 CONFIG_TPS6105X=y
 # CONFIG_TPS65010 is not set
 # CONFIG_TPS6507X is not set
@@ -1877,6 +1909,7 @@ CONFIG_STMPE_SPI=y
 # CONFIG_MFD_DA9052_SPI is not set
 # CONFIG_MFD_DA9052_I2C is not set
 # CONFIG_PMIC_ADP5520 is not set
+# CONFIG_MFD_MAX77693 is not set
 # CONFIG_MFD_MAX8925 is not set
 # CONFIG_MFD_MAX8997 is not set
 # CONFIG_MFD_MAX8998 is not set
@@ -1887,15 +1920,16 @@ CONFIG_STMPE_SPI=y
 # CONFIG_MFD_WM8350_I2C is not set
 # CONFIG_MFD_WM8994 is not set
 # CONFIG_MFD_PCF50633 is not set
-# CONFIG_MFD_MC13XXX is not set
+# CONFIG_MFD_MC13XXX_SPI is not set
+# CONFIG_MFD_MC13XXX_I2C is not set
 # CONFIG_ABX500_CORE is not set
 # CONFIG_EZX_PCAP is not set
 CONFIG_MFD_DB8500_PRCMU=y
-CONFIG_MFD_DB5500_PRCMU=y
 CONFIG_MFD_WL1273_CORE=m
 # CONFIG_MFD_TPS65090 is not set
 # CONFIG_MFD_AAT2870_CORE is not set
 # CONFIG_MFD_RC5T583 is not set
+# CONFIG_MFD_PALMAS is not set
 CONFIG_REGULATOR=y
 # CONFIG_REGULATOR_DEBUG is not set
 # CONFIG_REGULATOR_DUMMY is not set
@@ -2045,6 +2079,7 @@ CONFIG_VIDEO_MT9V011=m
 #
 CONFIG_VIDEO_VIVI=m
 CONFIG_V4L_USB_DRIVERS=y
+# CONFIG_VIDEO_AU0828 is not set
 CONFIG_USB_VIDEO_CLASS=m
 CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=y
 CONFIG_USB_GSPCA=m
@@ -2102,7 +2137,7 @@ CONFIG_VIDEO_HDPVR=m
 CONFIG_VIDEO_EM28XX=m
 CONFIG_VIDEO_EM28XX_ALSA=m
 CONFIG_VIDEO_EM28XX_DVB=m
-CONFIG_VIDEO_EM28XX_RC=y
+CONFIG_VIDEO_EM28XX_RC=m
 CONFIG_VIDEO_TLG2300=m
 CONFIG_VIDEO_CX231XX=m
 CONFIG_VIDEO_CX231XX_RC=y
@@ -2112,7 +2147,6 @@ CONFIG_VIDEO_TM6000=m
 CONFIG_VIDEO_TM6000_ALSA=m
 CONFIG_VIDEO_TM6000_DVB=m
 CONFIG_VIDEO_USBVISION=m
-CONFIG_USB_ET61X251=m
 CONFIG_USB_SN9C102=m
 CONFIG_USB_PWC=m
 CONFIG_USB_PWC_DEBUG=y
@@ -2207,6 +2241,7 @@ CONFIG_DVB_USB_TECHNISAT_USB2=m
 CONFIG_DVB_USB_IT913X=m
 CONFIG_DVB_USB_MXL111SF=m
 CONFIG_DVB_USB_RTL28XXU=m
+# CONFIG_DVB_USB_AF9035 is not set
 CONFIG_SMS_SIANO_MDTV=m
 
 #
@@ -2294,6 +2329,7 @@ CONFIG_DVB_NXT200X=m
 CONFIG_DVB_BCM3510=m
 CONFIG_DVB_LGDT330X=m
 CONFIG_DVB_LGDT3305=m
+CONFIG_DVB_LG2160=m
 CONFIG_DVB_S5H1409=m
 CONFIG_DVB_S5H1411=m
 
@@ -2379,6 +2415,7 @@ CONFIG_FB_UDL=m
 CONFIG_FB_VIRTUAL=m
 # CONFIG_FB_METRONOME is not set
 # CONFIG_FB_BROADSHEET is not set
+# CONFIG_FB_AUO_K190X is not set
 # CONFIG_EXYNOS_VIDEO is not set
 CONFIG_BACKLIGHT_LCD_SUPPORT=y
 CONFIG_LCD_CLASS_DEVICE=m
@@ -2468,8 +2505,10 @@ CONFIG_SND_USB=y
 # CONFIG_SND_USB_CAIAQ is not set
 # CONFIG_SND_USB_6FIRE is not set
 CONFIG_SND_SOC=m
+CONFIG_SND_SOC_UX500=m
 CONFIG_SND_SOC_I2C_AND_SPI=m
 # CONFIG_SND_SOC_ALL_CODECS is not set
+# CONFIG_SND_SIMPLE_CARD is not set
 CONFIG_SOUND_PRIME=m
 CONFIG_AC97_BUS=m
 CONFIG_HID_SUPPORT=y
@@ -2486,9 +2525,11 @@ CONFIG_USB_HID=m
 #
 # Special HID drivers
 #
+CONFIG_HID_GENERIC=y
 CONFIG_HID_A4TECH=m
 # CONFIG_HID_ACRUX is not set
 CONFIG_HID_APPLE=m
+# CONFIG_HID_AUREAL is not set
 CONFIG_HID_BELKIN=m
 CONFIG_HID_CHERRY=m
 CONFIG_HID_CHICONY=m
@@ -2551,8 +2592,6 @@ CONFIG_USB=m
 #
 # Miscellaneous USB options
 #
-# CONFIG_USB_DEVICEFS is not set
-CONFIG_USB_DEVICE_CLASS=y
 # CONFIG_USB_DYNAMIC_MINORS is not set
 # CONFIG_USB_SUSPEND is not set
 # CONFIG_USB_DWC3 is not set
@@ -2570,6 +2609,7 @@ CONFIG_USB_DEVICE_CLASS=y
 # CONFIG_USB_SL811_HCD is not set
 # CONFIG_USB_R8A66597_HCD is not set
 # CONFIG_USB_MUSB_HDRC is not set
+# CONFIG_USB_CHIPIDEA is not set
 # CONFIG_USB_RENESAS_USBHS is not set
 
 #
@@ -2649,6 +2689,7 @@ CONFIG_USB_SERIAL_METRO=m
 # CONFIG_USB_SERIAL_VIVOPAY_SERIAL is not set
 # CONFIG_USB_SERIAL_ZIO is not set
 # CONFIG_USB_SERIAL_SSU100 is not set
+# CONFIG_USB_SERIAL_QT2 is not set
 # CONFIG_USB_SERIAL_DEBUG is not set
 
 #
@@ -2673,12 +2714,21 @@ CONFIG_USB_SERIAL_METRO=m
 # CONFIG_USB_TEST is not set
 # CONFIG_USB_ISIGHTFW is not set
 # CONFIG_USB_YUREX is not set
+
+#
+# USB Physical Layer drivers
+#
+# CONFIG_USB_ISP1301 is not set
 CONFIG_USB_GADGET=y
 # CONFIG_USB_GADGET_DEBUG is not set
 # CONFIG_USB_GADGET_DEBUG_FILES is not set
 # CONFIG_USB_GADGET_DEBUG_FS is not set
 CONFIG_USB_GADGET_VBUS_DRAW=2
 CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=2
+
+#
+# USB Peripheral Controller
+#
 # CONFIG_USB_FUSB300 is not set
 # CONFIG_USB_R8A66597 is not set
 # CONFIG_USB_MV_UDC is not set
@@ -2769,6 +2819,7 @@ CONFIG_LEDS_TRIGGERS=y
 #
 # iptables trigger is under Netfilter config (LED target)
 #
+# CONFIG_LEDS_TRIGGER_TRANSIENT is not set
 # CONFIG_ACCESSIBILITY is not set
 CONFIG_RTC_LIB=y
 CONFIG_RTC_CLASS=y
@@ -2872,6 +2923,7 @@ CONFIG_VIRTIO_RING=m
 #
 CONFIG_VIRTIO_BALLOON=m
 CONFIG_VIRTIO_MMIO=m
+# CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES is not set
 
 #
 # Microsoft Hyper-V guest support
@@ -2883,8 +2935,6 @@ CONFIG_ECHO=m
 # CONFIG_TRANZPORT is not set
 # CONFIG_LINE6_USB is not set
 # CONFIG_USB_SERIAL_QUATECH2 is not set
-# CONFIG_USB_SERIAL_QUATECH_USB2 is not set
-# CONFIG_IIO is not set
 # CONFIG_FB_SM7XX is not set
 # CONFIG_BCM_WIMAX is not set
 CONFIG_FT1000=m
@@ -2907,6 +2957,9 @@ CONFIG_STAGING_MEDIA=y
 # CONFIG_ANDROID is not set
 CONFIG_PHONE=m
 CONFIG_USB_WPAN_HCD=m
+# CONFIG_USB_G_CCG is not set
+# CONFIG_IPACK_BUS is not set
+# CONFIG_WIMAX_GDM72XX is not set
 CONFIG_CLKDEV_LOOKUP=y
 CONFIG_HWSPINLOCK=y
 
@@ -2928,6 +2981,9 @@ CONFIG_IOMMU_SUPPORT=y
 #
 CONFIG_VIRT_DRIVERS=y
 # CONFIG_PM_DEVFREQ is not set
+# CONFIG_EXTCON is not set
+# CONFIG_MEMORY is not set
+# CONFIG_IIO is not set
 
 #
 # File systems
@@ -3074,12 +3130,14 @@ CONFIG_ROMFS_FS=m
 CONFIG_ROMFS_BACKED_BY_BLOCK=y
 CONFIG_ROMFS_ON_BLOCK=y
 CONFIG_PSTORE=y
+# CONFIG_PSTORE_RAM is not set
 CONFIG_SYSV_FS=m
 CONFIG_UFS_FS=m
 # CONFIG_UFS_FS_WRITE is not set
 # CONFIG_UFS_DEBUG is not set
 CONFIG_NETWORK_FILESYSTEMS=y
 CONFIG_NFS_FS=m
+CONFIG_NFS_V2=y
 CONFIG_NFS_V3=y
 CONFIG_NFS_V3_ACL=y
 CONFIG_NFS_V4=y
@@ -3164,6 +3222,17 @@ CONFIG_NLS_ISO8859_14=m
 CONFIG_NLS_ISO8859_15=m
 CONFIG_NLS_KOI8_R=m
 CONFIG_NLS_KOI8_U=m
+# CONFIG_NLS_MAC_ROMAN is not set
+# CONFIG_NLS_MAC_CELTIC is not set
+# CONFIG_NLS_MAC_CENTEURO is not set
+# CONFIG_NLS_MAC_CROATIAN is not set
+# CONFIG_NLS_MAC_CYRILLIC is not set
+# CONFIG_NLS_MAC_GAELIC is not set
+# CONFIG_NLS_MAC_GREEK is not set
+# CONFIG_NLS_MAC_ICELAND is not set
+# CONFIG_NLS_MAC_INUIT is not set
+# CONFIG_NLS_MAC_ROMANIAN is not set
+# CONFIG_NLS_MAC_TURKISH is not set
 CONFIG_NLS_UTF8=m
 CONFIG_DLM=m
 CONFIG_DLM_DEBUG=y
@@ -3178,6 +3247,7 @@ CONFIG_ENABLE_MUST_CHECK=y
 CONFIG_FRAME_WARN=1024
 CONFIG_MAGIC_SYSRQ=y
 CONFIG_STRIP_ASM_SYMS=y
+# CONFIG_READABLE_ASM is not set
 CONFIG_UNUSED_SYMBOLS=y
 CONFIG_DEBUG_FS=y
 # CONFIG_HEADERS_CHECK is not set
@@ -3186,6 +3256,8 @@ CONFIG_DEBUG_KERNEL=y
 # CONFIG_DEBUG_SHIRQ is not set
 # CONFIG_LOCKUP_DETECTOR is not set
 # CONFIG_HARDLOCKUP_DETECTOR is not set
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=0
 CONFIG_DETECT_HUNG_TASK=y
 CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=120
 # CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
@@ -3259,6 +3331,7 @@ CONFIG_BRANCH_PROFILE_NONE=y
 # CONFIG_STACK_TRACER is not set
 CONFIG_BLK_DEV_IO_TRACE=y
 CONFIG_KPROBE_EVENT=y
+CONFIG_PROBE_EVENTS=y
 # CONFIG_FTRACE_STARTUP_TEST is not set
 # CONFIG_RING_BUFFER_BENCHMARK is not set
 CONFIG_DYNAMIC_DEBUG=y
@@ -3377,7 +3450,7 @@ CONFIG_CRYPTO_VMAC=m
 #
 # Digest
 #
-CONFIG_CRYPTO_CRC32C=m
+CONFIG_CRYPTO_CRC32C=y
 CONFIG_CRYPTO_GHASH=m
 CONFIG_CRYPTO_MD4=m
 CONFIG_CRYPTO_MD5=m
@@ -3427,6 +3500,10 @@ CONFIG_CRYPTO_USER_API=m
 CONFIG_CRYPTO_USER_API_HASH=m
 CONFIG_CRYPTO_USER_API_SKCIPHER=m
 CONFIG_CRYPTO_HW=y
+CONFIG_CRYPTO_DEV_UX500=m
+CONFIG_CRYPTO_DEV_UX500_CRYP=m
+CONFIG_CRYPTO_DEV_UX500_HASH=m
+# CONFIG_CRYPTO_DEV_UX500_DEBUG is not set
 CONFIG_BINARY_PRINTF=y
 
 #
@@ -3482,3 +3559,4 @@ CONFIG_NLATTR=y
 CONFIG_LRU_CACHE=m
 CONFIG_AVERAGE=y
 CONFIG_CORDIC=m
+# CONFIG_DDR is not set
-- 
1.7.7

